'''
Date: 15-Oct-2021
This application will allow you to get the list of stocks in National Stock Exchange (NSE) India that is belonging to
different themes such as Nifty 50, Nifty Next 50, Nifty Auto, Nifty IT, Nifty Pharma. You can extract the theme list
as is, or with .NS suffix. For example, for Infosys, the NSE stock symbol is "INFY" and with .NS suffix, it is
"INFY.NS". The methods are also appropriately named. For example,

get_nifty_50() yields ['MPHASIS', 'OFSS', 'WIPRO', 'INFY', 'LTI', 'TCS', 'MINDTREE', 'HCLTECH', 'COFORGE', 'TECHM']

Whereas,

get_nifty_50_with_ns() yields ['ADANIGREEN.NS', 'IOC.NS', 'TATAPOWER.NS', 'POWERGRID.NS', 'ONGC.NS', 'BPCL.NS', 'HINDPETRO.NS', 'RELIANCE.NS', 'GAIL.NS', 'NTPC.NS']

Depending on your requirement, you can invoke appropriate method.
'''

# Nifty 200 stocks list
def get_nifty200_with_ns():
    return ['ADANIGREEN.NS', 'AARTIIND.NS', 'BBTC.NS', 'BHARATFORG.NS', 'DHANI.NS', 'HAL.NS', 'HDFCBANK.NS', 'IDFCFIRSTB.NS', 'IGL.NS', 'IOC.NS', 'M&MFIN.NS', 'MOTHERSUMI.NS', 'SHREECEM.NS', 'TATACHEM.NS', 'TATACONSUM.NS', 'TATAMOTORS.NS', 'TVSMOTOR.NS', 'WHIRLPOOL.NS', 'ADANIPORTS.NS', 'AMBUJACEM.NS', 'DABUR.NS', 'GODREJCP.NS', 'JSWENERGY.NS', 'PGHH.NS', 'RECLTD.NS', 'TATAPOWER.NS', 'ULTRACEMCO.NS', 'YESBANK.NS', 'BHARTIARTL.NS', 'HEROMOTOCO.NS', 'HINDUNILVR.NS', 'ICICIGI.NS', 'NAUKRI.NS', 'PEL.NS', 'SIEMENS.NS', 'ABFRL.NS', 'ACC.NS', 'ASHOKLEY.NS', 'BANKBARODA.NS', 'GRASIM.NS', 'GSPL.NS', 'GUJGASLTD.NS', 'HAVELLS.NS', 'IBULHSGFIN.NS', 'LALPATHLAB.NS', 'PAGEIND.NS', 'TATASTEEL.NS', 'UPL.NS', 'ABCAPITAL.NS', 'AMARAJABAT.NS', 'AUROPHARMA.NS', 'AXISBANK.NS', 'BATAINDIA.NS', 'CANBK.NS', 'COROMANDEL.NS', 'CUMMINSIND.NS', 'ENDURANCE.NS', 'HDFC.NS', 'LT.NS', 'MARICO.NS', 'MPHASIS.NS', 'PFIZER.NS', 'POWERGRID.NS', 'SBIN.NS', 'SRTRANSFIN.NS', 'SUNTV.NS', 'WIPRO.NS', 'APLLTD.NS', 'APOLLOHOSP.NS', 'BHEL.NS', 'DIXON.NS', 'GLENMARK.NS', 'INDUSINDBK.NS', 'INFY.NS', 'JINDALSTEL.NS', 'L&TFH.NS', 'MRF.NS', 'OBEROIRLTY.NS', 'ONGC.NS', 'PIIND.NS', 'SANOFI.NS', 'ALKEM.NS', 'BANDHANBNK.NS', 'EMAMILTD.NS', 'ESCORTS.NS', 'FORTIS.NS', 'GMRINFRA.NS', 'HINDZINC.NS', 'INDHOTEL.NS', 'NMDC.NS', 'BAJAJFINSV.NS', 'BANKINDIA.NS', 'CHOLAFIN.NS', 'CIPLA.NS', 'EXIDEIND.NS', 'ISEC.NS', 'KOTAKBANK.NS', 'LTI.NS', 'MANAPPURAM.NS', 'MARUTI.NS', 'NATCOPHARM.NS', 'PNB.NS', 'TCS.NS', 'TITAN.NS', 'ZEEL.NS', 'ADANIENT.NS', 'AUBANK.NS', 'BPCL.NS', 'BRITANNIA.NS', 'CASTROLIND.NS', 'COLPAL.NS', 'DALBHARAT.NS', 'EICHERMOT.NS', 'HDFCAMC.NS', 'HINDPETRO.NS', 'ICICIPRULI.NS', 'MINDTREE.NS', 'POLYCAB.NS', 'SAIL.NS', 'VGUARD.NS', 'ATGL.NS', 'DEEPAKNTR.NS', 'DLF.NS', 'ICICIBANK.NS', 'LAURUSLABS.NS', 'LTTS.NS', 'NAVINFLUOR.NS', 'RELIANCE.NS', 'ASIANPAINT.NS', 'BAJAJ-AUTO.NS', 'CADILAHC.NS', 'CONCOR.NS', 'GODREJPROP.NS', 'IDEA.NS', 'JUBLFOOD.NS', 'NESTLEIND.NS', 'PFC.NS', 'PRESTIGE.NS', 'APOLLOTYRE.NS', 'BAJFINANCE.NS', 'BEL.NS', 'BOSCHLTD.NS', 'INDIGO.NS', 'SBICARD.NS', 'TRENT.NS', 'UBL.NS', 'UNIONBANK.NS', 'ABBOTINDIA.NS', 'AJANTPHARM.NS', 'BAJAJHLDNG.NS', 'CESC.NS', 'COALINDIA.NS', 'CROMPTON.NS', 'FEDERALBNK.NS', 'GODREJAGRO.NS', 'GODREJIND.NS', 'HCLTECH.NS', 'HDFCLIFE.NS', 'HINDALCO.NS', 'IPCALAB.NS', 'PIDILITIND.NS', 'RBLBANK.NS', 'ADANITRANS.NS', 'DRREDDY.NS', 'GAIL.NS', 'INDIAMART.NS', 'IRCTC.NS', 'LICHSGFIN.NS', 'MCDOWELL-N.NS', 'OIL.NS', 'RAMCOCEM.NS', 'SYNGENE.NS', 'VOLTAS.NS', 'BERGEPAINT.NS', 'COFORGE.NS', 'DIVISLAB.NS', 'DMART.NS', 'MFSL.NS', 'NAM-INDIA.NS', 'NTPC.NS', 'SRF.NS', 'TATAELXSI.NS', 'TECHM.NS', 'TORNTPHARM.NS', 'TORNTPOWER.NS', 'VEDL.NS', 'BALKRISIND.NS', 'BIOCON.NS', 'CUB.NS', 'INDUSTOWER.NS', 'ITC.NS', 'JSWSTEEL.NS', 'LUPIN.NS', 'M&M.NS', 'MGL.NS', 'MUTHOOTFIN.NS', 'PETRONET.NS', 'SBILIFE.NS', 'SUNPHARMA.NS', 'VBL.NS']


# Nifty 200 stocks list
def get_nifty200():
    return ['ADANIGREEN', 'AARTIIND', 'BBTC', 'BHARATFORG', 'DHANI', 'HAL', 'HDFCBANK', 'IDFCFIRSTB', 'IGL', 'IOC', 'M&MFIN', 'MOTHERSUMI', 'SHREECEM', 'TATACHEM', 'TATACONSUM', 'TATAMOTORS', 'TVSMOTOR', 'WHIRLPOOL', 'ADANIPORTS', 'AMBUJACEM', 'DABUR', 'GODREJCP', 'JSWENERGY', 'PGHH', 'RECLTD', 'TATAPOWER', 'ULTRACEMCO', 'YESBANK', 'BHARTIARTL', 'HEROMOTOCO', 'HINDUNILVR', 'ICICIGI', 'NAUKRI', 'PEL', 'SIEMENS', 'ABFRL', 'ACC', 'ASHOKLEY', 'BANKBARODA', 'GRASIM', 'GSPL', 'GUJGASLTD', 'HAVELLS', 'IBULHSGFIN', 'LALPATHLAB', 'PAGEIND', 'TATASTEEL', 'UPL', 'ABCAPITAL', 'AMARAJABAT', 'AUROPHARMA', 'AXISBANK', 'BATAINDIA', 'CANBK', 'COROMANDEL', 'CUMMINSIND', 'ENDURANCE', 'HDFC', 'LT', 'MARICO', 'MPHASIS', 'PFIZER', 'POWERGRID', 'SBIN', 'SRTRANSFIN', 'SUNTV', 'WIPRO', 'APLLTD', 'APOLLOHOSP', 'BHEL', 'DIXON', 'GLENMARK', 'INDUSINDBK', 'INFY', 'JINDALSTEL', 'L&TFH', 'MRF', 'OBEROIRLTY', 'ONGC', 'PIIND', 'SANOFI', 'ALKEM', 'BANDHANBNK', 'EMAMILTD', 'ESCORTS', 'FORTIS', 'GMRINFRA', 'HINDZINC', 'INDHOTEL', 'NMDC', 'BAJAJFINSV', 'BANKINDIA', 'CHOLAFIN', 'CIPLA', 'EXIDEIND', 'ISEC', 'KOTAKBANK', 'LTI', 'MANAPPURAM', 'MARUTI', 'NATCOPHARM', 'PNB', 'TCS', 'TITAN', 'ZEEL', 'ADANIENT', 'AUBANK', 'BPCL', 'BRITANNIA', 'CASTROLIND', 'COLPAL', 'DALBHARAT', 'EICHERMOT', 'HDFCAMC', 'HINDPETRO', 'ICICIPRULI', 'MINDTREE', 'POLYCAB', 'SAIL', 'VGUARD', 'ATGL', 'DEEPAKNTR', 'DLF', 'ICICIBANK', 'LAURUSLABS', 'LTTS', 'NAVINFLUOR', 'RELIANCE', 'ASIANPAINT', 'BAJAJ-AUTO', 'CADILAHC', 'CONCOR', 'GODREJPROP', 'IDEA', 'JUBLFOOD', 'NESTLEIND', 'PFC', 'PRESTIGE', 'APOLLOTYRE', 'BAJFINANCE', 'BEL', 'BOSCHLTD', 'INDIGO', 'SBICARD', 'TRENT', 'UBL', 'UNIONBANK', 'ABBOTINDIA', 'AJANTPHARM', 'BAJAJHLDNG', 'CESC', 'COALINDIA', 'CROMPTON', 'FEDERALBNK', 'GODREJAGRO', 'GODREJIND', 'HCLTECH', 'HDFCLIFE', 'HINDALCO', 'IPCALAB', 'PIDILITIND', 'RBLBANK', 'ADANITRANS', 'DRREDDY', 'GAIL', 'INDIAMART', 'IRCTC', 'LICHSGFIN', 'MCDOWELL-N', 'OIL', 'RAMCOCEM', 'SYNGENE', 'VOLTAS', 'BERGEPAINT', 'COFORGE', 'DIVISLAB', 'DMART', 'MFSL', 'NAM-INDIA', 'NTPC', 'SRF', 'TATAELXSI', 'TECHM', 'TORNTPHARM', 'TORNTPOWER', 'VEDL', 'BALKRISIND', 'BIOCON', 'CUB', 'INDUSTOWER', 'ITC', 'JSWSTEEL', 'LUPIN', 'M&M', 'MGL', 'MUTHOOTFIN', 'PETRONET', 'SBILIFE', 'SUNPHARMA', 'VBL']


# Nifty 500 stocks list
def get_nifty500_with_ns():
    return ['3MINDIA.NS', 'ADANIGREEN.NS', 'AARTIIND.NS', 'AMBER.NS', 'BBTC.NS', 'BHARATFORG.NS', 'CGCL.NS', 'CHOLAHLDNG.NS', 'CRISIL.NS', 'DHANI.NS', 'GMMPFAUDLR.NS', 'HAL.NS', 'HAPPSTMNDS.NS', 'HDFCBANK.NS', 'HEMIPROP.NS', 'IDFCFIRSTB.NS', 'IEX.NS', 'IGL.NS', 'IOB.NS', 'IOC.NS', 'JBCHEPHARM.NS', 'JCHAC.NS', 'JKCEMENT.NS', 'KRBL.NS', 'M&MFIN.NS', 'MAHINDCIE.NS', 'MINDACORP.NS', 'MOTHERSUMI.NS', 'NOCIL.NS', 'PRINCEPIPE.NS', 'PRSMJOHNSN.NS', 'SHREECEM.NS', 'SKFINDIA.NS', 'SPARC.NS', 'TATACHEM.NS', 'TATACONSUM.NS', 'TATAMOTORS.NS', 'TVSMOTOR.NS', 'VAKRANGEE.NS', 'WHIRLPOOL.NS', 'ADANIPORTS.NS', 'AMBUJACEM.NS', 'BHARATRAS.NS', 'CENTRALBK.NS', 'CYIENT.NS', 'DABUR.NS', 'GAEL.NS', 'GODREJCP.NS', 'HUHTAMAKI.NS', 'IRB.NS', 'JSWENERGY.NS', 'KNRCON.NS', 'NATIONALUM.NS', 'PGHH.NS', 'RECLTD.NS', 'SONATSOFTW.NS', 'STAR.NS', 'SYMPHONY.NS', 'TATAPOWER.NS', 'ULTRACEMCO.NS', 'YESBANK.NS', 'ALEMBICLTD.NS', 'ASTERDM.NS', 'BHARTIARTL.NS', 'CCL.NS', 'CHAMBLFERT.NS', 'COCHINSHIP.NS', 'FINCABLES.NS', 'GESHIP.NS', 'GICRE.NS', 'GUJALKALI.NS', 'HEROMOTOCO.NS', 'HINDUNILVR.NS', 'ICICIGI.NS', 'IIFLWAM.NS', 'KEC.NS', 'KSB.NS', 'MINDAIND.NS', 'NAUKRI.NS', 'NBCC.NS', 'PEL.NS', 'SIEMENS.NS', 'SUPRAJIT.NS', 'SUZLON.NS', 'TATACOMM.NS', 'TIMKEN.NS', 'VAIBHAVGBL.NS', 'VIPIND.NS', 'ABFRL.NS', 'ACC.NS', 'ASHOKLEY.NS', 'BALMLAWRIE.NS', 'BANKBARODA.NS', 'FINPIPE.NS', 'FLUOROCHEM.NS', 'GRASIM.NS', 'GSPL.NS', 'GUJGASLTD.NS', 'HAVELLS.NS', 'IBULHSGFIN.NS', 'LALPATHLAB.NS', 'MHRIL.NS', 'MIDHANI.NS', 'NETWORK18.NS', 'PAGEIND.NS', 'RITES.NS', 'SUNDRMFAST.NS', 'TATASTEEL.NS', 'TTKPRESTIG.NS', 'UPL.NS', 'VARROC.NS', 'VINATIORGA.NS', 'VSTIND.NS', 'VTL.NS', 'ABCAPITAL.NS', 'AEGISCHEM.NS', 'AKZOINDIA.NS', 'AMARAJABAT.NS', 'ASTRAZEN.NS', 'AUROPHARMA.NS', 'AXISBANK.NS', 'BALRAMCHIN.NS', 'BATAINDIA.NS', 'BDL.NS', 'BLUESTARCO.NS', 'BSE.NS', 'CAMS.NS', 'CANBK.NS', 'COROMANDEL.NS', 'CUMMINSIND.NS', 'ENDURANCE.NS', 'FINEORG.NS', 'GLAXO.NS', 'GNFC.NS', 'HDFC.NS', 'HEG.NS', 'INDIACEM.NS', 'JMFINANCIL.NS', 'LT.NS', 'MARICO.NS', 'MPHASIS.NS', 'OFSS.NS', 'PERSISTENT.NS', 'PFIZER.NS', 'PGHL.NS', 'POWERGRID.NS', 'SBIN.NS', 'SHARDACROP.NS', 'SHOPERSTOP.NS', 'SOLARA.NS', 'SRTRANSFIN.NS', 'SUNTV.NS', 'TCIEXP.NS', 'THERMAX.NS', 'WIPRO.NS', 'APLAPOLLO.NS', 'APLLTD.NS', 'APOLLOHOSP.NS', 'BEML.NS', 'BHEL.NS', 'CERA.NS', 'CHALET.NS', 'DIXON.NS', 'FSL.NS', 'GLENMARK.NS', 'IFBIND.NS', 'INDIANB.NS', 'INDUSINDBK.NS', 'INFY.NS', 'JAMNAAUTO.NS', 'JINDALSTEL.NS', 'JUSTDIAL.NS', 'L&TFH.NS', 'LAXMIMACH.NS', 'MRF.NS', 'NILKAMAL.NS', 'OBEROIRLTY.NS', 'ONGC.NS', 'PIIND.NS', 'QUESS.NS', 'RADICO.NS', 'REDINGTON.NS', 'RVNL.NS', 'SANOFI.NS', 'SFL.NS', 'SHILPAMED.NS', 'SOBHA.NS', 'STARCEMENT.NS', 'ADVENZYMES.NS', 'AFFLE.NS', 'ALKEM.NS', 'BANDHANBNK.NS', 'BLUEDART.NS', 'DCMSHRIRAM.NS', 'EMAMILTD.NS', 'EPL.NS', 'ESCORTS.NS', 'FORTIS.NS', 'GMRINFRA.NS', 'GREAVESCOT.NS', 'GRINDWELL.NS', 'GSFC.NS', 'HINDZINC.NS', 'INDHOTEL.NS', 'INGERRAND.NS', 'LUXIND.NS', 'MAHSEAMLES.NS', 'MCX.NS', 'NHPC.NS', 'NMDC.NS', 'RAYMOND.NS', 'SCHAEFFLER.NS', 'SCHNEIDER.NS', 'STLTECH.NS', 'SUNTECK.NS', 'SUPREMEIND.NS', 'TATAINVEST.NS', 'TEAMLEASE.NS', 'TRITURBINE.NS', 'UJJIVANSFB.NS', 'WABCOINDIA.NS', 'BAJAJELEC.NS', 'BAJAJFINSV.NS', 'BANKINDIA.NS', 'CANFINHOME.NS', 'CARBORUNIV.NS', 'CENTURYTEX.NS', 'CHOLAFIN.NS', 'CIPLA.NS', 'DBL.NS', 'DISHTV.NS', 'EXIDEIND.NS', 'HFCL.NS', 'IBREALEST.NS', 'ICIL.NS', 'IDBI.NS', 'IRCON.NS', 'ISEC.NS', 'JSL.NS', 'KOTAKBANK.NS', 'KSCL.NS', 'LTI.NS', 'MANAPPURAM.NS', 'MARUTI.NS', 'METROPOLIS.NS', 'MOTILALOFS.NS', 'NATCOPHARM.NS', 'PNB.NS', 'POWERINDIA.NS', 'SOLARINDS.NS', 'TCS.NS', 'TITAN.NS', 'UTIAMC.NS', 'ZEEL.NS', 'ZENSARTECH.NS', 'ANGELBRKG.NS', 'ADANIENT.NS', 'ASAHIINDIA.NS', 'AUBANK.NS', 'BALAMINES.NS', 'BASF.NS', 'BPCL.NS', 'BRITANNIA.NS', 'CASTROLIND.NS', 'CDSL.NS', 'COLPAL.NS', 'DALBHARAT.NS', 'EICHERMOT.NS', 'GALAXYSURF.NS', 'HDFCAMC.NS', 'HINDCOPPER.NS', 'HINDPETRO.NS', 'HSCL.NS', 'ICICIPRULI.NS', 'INFIBEAM.NS', 'JKTYRE.NS', 'JTEKTINDIA.NS', 'JYOTHYLAB.NS', 'KAJARIACER.NS', 'MAHABANK.NS', 'MINDTREE.NS', 'MOIL.NS', 'NH.NS', 'NLCINDIA.NS', 'POLYCAB.NS', 'SAIL.NS', 'SUDARSCHEM.NS', 'SUVENPHAR.NS', 'THYROCARE.NS', 'TIINDIA.NS', 'TV18BRDCST.NS', 'UFLEX.NS', 'UJJIVAN.NS', 'VGUARD.NS', 'WELSPUNIND.NS', 'ASTRAL.NS', 'ATGL.NS', 'DEEPAKNTR.NS', 'DLF.NS', 'GPPL.NS', 'ICICIBANK.NS', 'LAURUSLABS.NS', 'LEMONTREE.NS', 'LTTS.NS', 'MRPL.NS', 'NAVINFLUOR.NS', 'PNBHOUSING.NS', 'RATNAMANI.NS', 'RELIANCE.NS', 'SHRIRAMCIT.NS', 'SUNCLAYLTD.NS', 'TANLA.NS', 'TATAMTRDVR.NS', 'UCOBANK.NS', 'VMART.NS', 'WELCORP.NS', 'ALOKINDS.NS', 'ASHOKA.NS', 'ASIANPAINT.NS', 'BAJAJ-AUTO.NS', 'BAYERCROP.NS', 'BSOFT.NS', 'BURGERKING.NS', 'CADILAHC.NS', 'CONCOR.NS', 'DCAL.NS', 'DCBBANK.NS', 'GODREJPROP.NS', 'GRSE.NS', 'IDEA.NS', 'INDOCO.NS', 'JUBLFOOD.NS', 'MMTC.NS', 'NESCO.NS', 'NESTLEIND.NS', 'NFL.NS', 'PFC.NS', 'POLYPLEX.NS', 'PRESTIGE.NS', 'RCF.NS', 'SIS.NS', 'SUPPETRO.NS', 'SWSOLAR.NS', 'TASTYBITE.NS', 'ABB.NS', 'APOLLOTYRE.NS', 'BAJFINANCE.NS', 'BEL.NS', 'BIRLACORPN.NS', 'BOSCHLTD.NS', 'BRIGADE.NS', 'CAPLIPOINT.NS', 'CENTURYPLY.NS', 'DELTACORP.NS', 'EIDPARRY.NS', 'EIHOTEL.NS', 'FDC.NS', 'GRAPHITE.NS', 'HATSUN.NS', 'HUDCO.NS', 'INDIGO.NS', 'KALPATPOWR.NS', 'KARURVYSYA.NS', 'KPITTECH.NS', 'NIACL.NS', 'RAIN.NS', 'RAJESHEXPO.NS', 'RELAXO.NS', 'SBICARD.NS', 'SPICEJET.NS', 'SUNDARMFIN.NS', 'TRENT.NS', 'UBL.NS', 'UNIONBANK.NS', 'VALIANTORG.NS', 'AARTIDRUGS.NS', 'ABBOTINDIA.NS', 'AJANTPHARM.NS', 'BAJAJHLDNG.NS', 'BLISSGVS.NS', 'CESC.NS', 'COALINDIA.NS', 'CROMPTON.NS', 'ELGIEQUIP.NS', 'EQUITAS.NS', 'FCONSUMER.NS', 'FEDERALBNK.NS', 'FRETAIL.NS', 'GODREJAGRO.NS', 'GODREJIND.NS', 'HCLTECH.NS', 'HDFCLIFE.NS', 'HINDALCO.NS', 'IIFL.NS', 'IPCALAB.NS', 'JSLHISAR.NS', 'KANSAINER.NS', 'LINDEINDIA.NS', 'NCC.NS', 'ORIENTELEC.NS', 'ORIENTREF.NS', 'PIDILITIND.NS', 'RBLBANK.NS', 'RESPONIND.NS', 'SEQUENT.NS', 'SJVN.NS', 'SPANDANA.NS', 'SUMICHEM.NS', 'ADANITRANS.NS', 'ATUL.NS', 'CREDITACC.NS', 'DRREDDY.NS', 'EDELWEISS.NS', 'ERIS.NS', 'GAIL.NS', 'INDIAMART.NS', 'IOLCP.NS', 'IRCTC.NS', 'JINDALSAW.NS', 'KPRMILL.NS', 'LICHSGFIN.NS', 'MASFIN.NS', 'MAZDOCK.NS', 'MCDOWELL-N.NS', 'OIL.NS', 'PHILIPCARB.NS', 'PNCINFRA.NS', 'RALLIS.NS', 'RAMCOCEM.NS', 'ROUTE.NS', 'SWANENERGY.NS', 'SYNGENE.NS', 'VOLTAS.NS', 'AAVAS.NS', 'AIAENG.NS', 'AVANTIFEED.NS', 'BAJAJCON.NS', 'BERGEPAINT.NS', 'COFORGE.NS', 'DIVISLAB.NS', 'DMART.NS', 'ENGINERSIN.NS', 'GEPIL.NS', 'GODFRYPHLP.NS', 'GULFOILLUB.NS', 'HONAUT.NS', 'KEI.NS', 'MAHLOG.NS', 'MAHSCOOTER.NS', 'MFSL.NS', 'NAM-INDIA.NS', 'NTPC.NS', 'PHOENIXLTD.NS', 'POLYMED.NS', 'PVR.NS', 'ROSSARI.NS', 'SRF.NS', 'TATACOFFEE.NS', 'TATAELXSI.NS', 'TCNSBRANDS.NS', 'TECHM.NS', 'TORNTPHARM.NS', 'TORNTPOWER.NS', 'VEDL.NS', 'WESTLIFE.NS', 'ALKYLAMINE.NS', 'BALKRISIND.NS', 'BIOCON.NS', 'CEATLTD.NS', 'CSBBANK.NS', 'CUB.NS', 'DHANUKA.NS', 'ECLERX.NS', 'GARFIBRES.NS', 'GILLETTE.NS', 'GRANULES.NS', 'HEIDELBERG.NS', 'IDFC.NS', 'INDUSTOWER.NS', 'INOXLEISUR.NS', 'INTELLECT.NS', 'ITC.NS', 'ITI.NS', 'JKLAKSHMI.NS', 'JKPAPER.NS', 'JSWSTEEL.NS', 'LAOPALA.NS', 'LUPIN.NS', 'M&M.NS', 'MAXHEALTH.NS', 'MGL.NS', 'MUTHOOTFIN.NS', 'PETRONET.NS', 'SBILIFE.NS', 'SCI.NS', 'SUNPHARMA.NS', 'TRIDENT.NS', 'VBL.NS', 'VENKEYS.NS', 'WOCKPHARMA.NS', 'ZYDUSWELL.NS']


# Nifty 500 stocks list
def get_nifty500():
    return ['3MINDIA', 'ADANIGREEN', 'AARTIIND', 'AMBER', 'BBTC', 'BHARATFORG', 'CGCL', 'CHOLAHLDNG', 'CRISIL', 'DHANI', 'GMMPFAUDLR', 'HAL', 'HAPPSTMNDS', 'HDFCBANK', 'HEMIPROP', 'IDFCFIRSTB', 'IEX', 'IGL', 'IOB', 'IOC', 'JBCHEPHARM', 'JCHAC', 'JKCEMENT', 'KRBL', 'M&MFIN', 'MAHINDCIE', 'MINDACORP', 'MOTHERSUMI', 'NOCIL', 'PRINCEPIPE', 'PRSMJOHNSN', 'SHREECEM', 'SKFINDIA', 'SPARC', 'TATACHEM', 'TATACONSUM', 'TATAMOTORS', 'TVSMOTOR', 'VAKRANGEE', 'WHIRLPOOL', 'ADANIPORTS', 'AMBUJACEM', 'BHARATRAS', 'CENTRALBK', 'CYIENT', 'DABUR', 'GAEL', 'GODREJCP', 'HUHTAMAKI', 'IRB', 'JSWENERGY', 'KNRCON', 'NATIONALUM', 'PGHH', 'RECLTD', 'SONATSOFTW', 'STAR', 'SYMPHONY', 'TATAPOWER', 'ULTRACEMCO', 'YESBANK', 'ALEMBICLTD', 'ASTERDM', 'BHARTIARTL', 'CCL', 'CHAMBLFERT', 'COCHINSHIP', 'FINCABLES', 'GESHIP', 'GICRE', 'GUJALKALI', 'HEROMOTOCO', 'HINDUNILVR', 'ICICIGI', 'IIFLWAM', 'KEC', 'KSB', 'MINDAIND', 'NAUKRI', 'NBCC', 'PEL', 'SIEMENS', 'SUPRAJIT', 'SUZLON', 'TATACOMM', 'TIMKEN', 'VAIBHAVGBL', 'VIPIND', 'ABFRL', 'ACC', 'ASHOKLEY', 'BALMLAWRIE', 'BANKBARODA', 'FINPIPE', 'FLUOROCHEM', 'GRASIM', 'GSPL', 'GUJGASLTD', 'HAVELLS', 'IBULHSGFIN', 'LALPATHLAB', 'MHRIL', 'MIDHANI', 'NETWORK18', 'PAGEIND', 'RITES', 'SUNDRMFAST', 'TATASTEEL', 'TTKPRESTIG', 'UPL', 'VARROC', 'VINATIORGA', 'VSTIND', 'VTL', 'ABCAPITAL', 'AEGISCHEM', 'AKZOINDIA', 'AMARAJABAT', 'ASTRAZEN', 'AUROPHARMA', 'AXISBANK', 'BALRAMCHIN', 'BATAINDIA', 'BDL', 'BLUESTARCO', 'BSE', 'CAMS', 'CANBK', 'COROMANDEL', 'CUMMINSIND', 'ENDURANCE', 'FINEORG', 'GLAXO', 'GNFC', 'HDFC', 'HEG', 'INDIACEM', 'JMFINANCIL', 'LT', 'MARICO', 'MPHASIS', 'OFSS', 'PERSISTENT', 'PFIZER', 'PGHL', 'POWERGRID', 'SBIN', 'SHARDACROP', 'SHOPERSTOP', 'SOLARA', 'SRTRANSFIN', 'SUNTV', 'TCIEXP', 'THERMAX', 'WIPRO', 'APLAPOLLO', 'APLLTD', 'APOLLOHOSP', 'BEML', 'BHEL', 'CERA', 'CHALET', 'DIXON', 'FSL', 'GLENMARK', 'IFBIND', 'INDIANB', 'INDUSINDBK', 'INFY', 'JAMNAAUTO', 'JINDALSTEL', 'JUSTDIAL', 'L&TFH', 'LAXMIMACH', 'MRF', 'NILKAMAL', 'OBEROIRLTY', 'ONGC', 'PIIND', 'QUESS', 'RADICO', 'REDINGTON', 'RVNL', 'SANOFI', 'SFL', 'SHILPAMED', 'SOBHA', 'STARCEMENT', 'ADVENZYMES', 'AFFLE', 'ALKEM', 'BANDHANBNK', 'BLUEDART', 'DCMSHRIRAM', 'EMAMILTD', 'EPL', 'ESCORTS', 'FORTIS', 'GMRINFRA', 'GREAVESCOT', 'GRINDWELL', 'GSFC', 'HINDZINC', 'INDHOTEL', 'INGERRAND', 'LUXIND', 'MAHSEAMLES', 'MCX', 'NHPC', 'NMDC', 'RAYMOND', 'SCHAEFFLER', 'SCHNEIDER', 'STLTECH', 'SUNTECK', 'SUPREMEIND', 'TATAINVEST', 'TEAMLEASE', 'TRITURBINE', 'UJJIVANSFB', 'WABCOINDIA', 'BAJAJELEC', 'BAJAJFINSV', 'BANKINDIA', 'CANFINHOME', 'CARBORUNIV', 'CENTURYTEX', 'CHOLAFIN', 'CIPLA', 'DBL', 'DISHTV', 'EXIDEIND', 'HFCL', 'IBREALEST', 'ICIL', 'IDBI', 'IRCON', 'ISEC', 'JSL', 'KOTAKBANK', 'KSCL', 'LTI', 'MANAPPURAM', 'MARUTI', 'METROPOLIS', 'MOTILALOFS', 'NATCOPHARM', 'PNB', 'POWERINDIA', 'SOLARINDS', 'TCS', 'TITAN', 'UTIAMC', 'ZEEL', 'ZENSARTECH', 'ANGELBRKG', 'ADANIENT', 'ASAHIINDIA', 'AUBANK', 'BALAMINES', 'BASF', 'BPCL', 'BRITANNIA', 'CASTROLIND', 'CDSL', 'COLPAL', 'DALBHARAT', 'EICHERMOT', 'GALAXYSURF', 'HDFCAMC', 'HINDCOPPER', 'HINDPETRO', 'HSCL', 'ICICIPRULI', 'INFIBEAM', 'JKTYRE', 'JTEKTINDIA', 'JYOTHYLAB', 'KAJARIACER', 'MAHABANK', 'MINDTREE', 'MOIL', 'NH', 'NLCINDIA', 'POLYCAB', 'SAIL', 'SUDARSCHEM', 'SUVENPHAR', 'THYROCARE', 'TIINDIA', 'TV18BRDCST', 'UFLEX', 'UJJIVAN', 'VGUARD', 'WELSPUNIND', 'ASTRAL', 'ATGL', 'DEEPAKNTR', 'DLF', 'GPPL', 'ICICIBANK', 'LAURUSLABS', 'LEMONTREE', 'LTTS', 'MRPL', 'NAVINFLUOR', 'PNBHOUSING', 'RATNAMANI', 'RELIANCE', 'SHRIRAMCIT', 'SUNCLAYLTD', 'TANLA', 'TATAMTRDVR', 'UCOBANK', 'VMART', 'WELCORP', 'ALOKINDS', 'ASHOKA', 'ASIANPAINT', 'BAJAJ-AUTO', 'BAYERCROP', 'BSOFT', 'BURGERKING', 'CADILAHC', 'CONCOR', 'DCAL', 'DCBBANK', 'GODREJPROP', 'GRSE', 'IDEA', 'INDOCO', 'JUBLFOOD', 'MMTC', 'NESCO', 'NESTLEIND', 'NFL', 'PFC', 'POLYPLEX', 'PRESTIGE', 'RCF', 'SIS', 'SUPPETRO', 'SWSOLAR', 'TASTYBITE', 'ABB', 'APOLLOTYRE', 'BAJFINANCE', 'BEL', 'BIRLACORPN', 'BOSCHLTD', 'BRIGADE', 'CAPLIPOINT', 'CENTURYPLY', 'DELTACORP', 'EIDPARRY', 'EIHOTEL', 'FDC', 'GRAPHITE', 'HATSUN', 'HUDCO', 'INDIGO', 'KALPATPOWR', 'KARURVYSYA', 'KPITTECH', 'NIACL', 'RAIN', 'RAJESHEXPO', 'RELAXO', 'SBICARD', 'SPICEJET', 'SUNDARMFIN', 'TRENT', 'UBL', 'UNIONBANK', 'VALIANTORG', 'AARTIDRUGS', 'ABBOTINDIA', 'AJANTPHARM', 'BAJAJHLDNG', 'BLISSGVS', 'CESC', 'COALINDIA', 'CROMPTON', 'ELGIEQUIP', 'EQUITAS', 'FCONSUMER', 'FEDERALBNK', 'FRETAIL', 'GODREJAGRO', 'GODREJIND', 'HCLTECH', 'HDFCLIFE', 'HINDALCO', 'IIFL', 'IPCALAB', 'JSLHISAR', 'KANSAINER', 'LINDEINDIA', 'NCC', 'ORIENTELEC', 'ORIENTREF', 'PIDILITIND', 'RBLBANK', 'RESPONIND', 'SEQUENT', 'SJVN', 'SPANDANA', 'SUMICHEM', 'ADANITRANS', 'ATUL', 'CREDITACC', 'DRREDDY', 'EDELWEISS', 'ERIS', 'GAIL', 'INDIAMART', 'IOLCP', 'IRCTC', 'JINDALSAW', 'KPRMILL', 'LICHSGFIN', 'MASFIN', 'MAZDOCK', 'MCDOWELL-N', 'OIL', 'PHILIPCARB', 'PNCINFRA', 'RALLIS', 'RAMCOCEM', 'ROUTE', 'SWANENERGY', 'SYNGENE', 'VOLTAS', 'AAVAS', 'AIAENG', 'AVANTIFEED', 'BAJAJCON', 'BERGEPAINT', 'COFORGE', 'DIVISLAB', 'DMART', 'ENGINERSIN', 'GEPIL', 'GODFRYPHLP', 'GULFOILLUB', 'HONAUT', 'KEI', 'MAHLOG', 'MAHSCOOTER', 'MFSL', 'NAM-INDIA', 'NTPC', 'PHOENIXLTD', 'POLYMED', 'PVR', 'ROSSARI', 'SRF', 'TATACOFFEE', 'TATAELXSI', 'TCNSBRANDS', 'TECHM', 'TORNTPHARM', 'TORNTPOWER', 'VEDL', 'WESTLIFE', 'ALKYLAMINE', 'BALKRISIND', 'BIOCON', 'CEATLTD', 'CSBBANK', 'CUB', 'DHANUKA', 'ECLERX', 'GARFIBRES', 'GILLETTE', 'GRANULES', 'HEIDELBERG', 'IDFC', 'INDUSTOWER', 'INOXLEISUR', 'INTELLECT', 'ITC', 'ITI', 'JKLAKSHMI', 'JKPAPER', 'JSWSTEEL', 'LAOPALA', 'LUPIN', 'M&M', 'MAXHEALTH', 'MGL', 'MUTHOOTFIN', 'PETRONET', 'SBILIFE', 'SCI', 'SUNPHARMA', 'TRIDENT', 'VBL', 'VENKEYS', 'WOCKPHARMA', 'ZYDUSWELL']


# Nifty 50 stocks list
def get_nifty50_with_ns():
    return ['HDFCBANK.NS', 'IOC.NS', 'SHREECEM.NS', 'TATAMOTORS.NS', 'ADANIPORTS.NS', 'ULTRACEMCO.NS', 'BHARTIARTL.NS', 'HEROMOTOCO.NS', 'HINDUNILVR.NS', 'GRASIM.NS', 'TATASTEEL.NS', 'UPL.NS', 'AXISBANK.NS', 'HDFC.NS', 'LT.NS', 'POWERGRID.NS', 'SBIN.NS', 'WIPRO.NS', 'INDUSINDBK.NS', 'INFY.NS', 'ONGC.NS', 'BAJAJFINSV.NS', 'CIPLA.NS', 'KOTAKBANK.NS', 'MARUTI.NS', 'TCS.NS', 'TITAN.NS', 'BPCL.NS', 'BRITANNIA.NS', 'EICHERMOT.NS', 'ICICIBANK.NS', 'RELIANCE.NS', 'ASIANPAINT.NS', 'BAJAJ-AUTO.NS', 'NESTLEIND.NS', 'BAJFINANCE.NS', 'COALINDIA.NS', 'HCLTECH.NS', 'HDFCLIFE.NS', 'HINDALCO.NS', 'DRREDDY.NS', 'GAIL.NS', 'DIVISLAB.NS', 'NTPC.NS', 'TECHM.NS', 'ITC.NS', 'JSWSTEEL.NS', 'M&M.NS', 'SBILIFE.NS', 'SUNPHARMA.NS']


# Nifty 50 stocks list
def get_nifty50():
    return ['HDFCBANK', 'IOC', 'SHREECEM', 'TATAMOTORS', 'ADANIPORTS', 'ULTRACEMCO', 'BHARTIARTL', 'HEROMOTOCO', 'HINDUNILVR', 'GRASIM', 'TATASTEEL', 'UPL', 'AXISBANK', 'HDFC', 'LT', 'POWERGRID', 'SBIN', 'WIPRO', 'INDUSINDBK', 'INFY', 'ONGC', 'BAJAJFINSV', 'CIPLA', 'KOTAKBANK', 'MARUTI', 'TCS', 'TITAN', 'BPCL', 'BRITANNIA', 'EICHERMOT', 'ICICIBANK', 'RELIANCE', 'ASIANPAINT', 'BAJAJ-AUTO', 'NESTLEIND', 'BAJFINANCE', 'COALINDIA', 'HCLTECH', 'HDFCLIFE', 'HINDALCO', 'DRREDDY', 'GAIL', 'DIVISLAB', 'NTPC', 'TECHM', 'ITC', 'JSWSTEEL', 'M&M', 'SBILIFE', 'SUNPHARMA']


# Nifty 100 stocks list
def get_nifty100_with_ns():
    return ['ADANIGREEN.NS', 'HDFCBANK.NS', 'IGL.NS', 'IOC.NS', 'MOTHERSUMI.NS', 'SHREECEM.NS', 'TATACONSUM.NS', 'TATAMOTORS.NS', 'ADANIPORTS.NS', 'AMBUJACEM.NS', 'DABUR.NS', 'GODREJCP.NS', 'PGHH.NS', 'ULTRACEMCO.NS', 'YESBANK.NS', 'BHARTIARTL.NS', 'HEROMOTOCO.NS', 'HINDUNILVR.NS', 'ICICIGI.NS', 'NAUKRI.NS', 'PEL.NS', 'SIEMENS.NS', 'ACC.NS', 'GRASIM.NS', 'HAVELLS.NS', 'TATASTEEL.NS', 'UPL.NS', 'AUROPHARMA.NS', 'AXISBANK.NS', 'HDFC.NS', 'LT.NS', 'MARICO.NS', 'POWERGRID.NS', 'SBIN.NS', 'WIPRO.NS', 'APOLLOHOSP.NS', 'INDUSINDBK.NS', 'INFY.NS', 'MRF.NS', 'ONGC.NS', 'ALKEM.NS', 'BANDHANBNK.NS', 'NMDC.NS', 'BAJAJFINSV.NS', 'CIPLA.NS', 'KOTAKBANK.NS', 'LTI.NS', 'MARUTI.NS', 'PNB.NS', 'TCS.NS', 'TITAN.NS', 'ADANIENT.NS', 'BPCL.NS', 'BRITANNIA.NS', 'COLPAL.NS', 'EICHERMOT.NS', 'HDFCAMC.NS', 'HINDPETRO.NS', 'ICICIPRULI.NS', 'DLF.NS', 'ICICIBANK.NS', 'RELIANCE.NS', 'ASIANPAINT.NS', 'BAJAJ-AUTO.NS', 'CADILAHC.NS', 'JUBLFOOD.NS', 'NESTLEIND.NS', 'BAJFINANCE.NS', 'BOSCHLTD.NS', 'INDIGO.NS', 'SBICARD.NS', 'UBL.NS', 'ABBOTINDIA.NS', 'BAJAJHLDNG.NS', 'COALINDIA.NS', 'HCLTECH.NS', 'HDFCLIFE.NS', 'HINDALCO.NS', 'PIDILITIND.NS', 'ADANITRANS.NS', 'DRREDDY.NS', 'GAIL.NS', 'MCDOWELL-N.NS', 'BERGEPAINT.NS', 'DIVISLAB.NS', 'DMART.NS', 'NTPC.NS', 'TECHM.NS', 'TORNTPHARM.NS', 'VEDL.NS', 'BIOCON.NS', 'INDUSTOWER.NS', 'ITC.NS', 'JSWSTEEL.NS', 'LUPIN.NS', 'M&M.NS', 'MUTHOOTFIN.NS', 'PETRONET.NS', 'SBILIFE.NS', 'SUNPHARMA.NS']


# Nifty 100 stocks list
def get_nifty100():
    return ['ADANIGREEN', 'HDFCBANK', 'IGL', 'IOC', 'MOTHERSUMI', 'SHREECEM', 'TATACONSUM', 'TATAMOTORS', 'ADANIPORTS', 'AMBUJACEM', 'DABUR', 'GODREJCP', 'PGHH', 'ULTRACEMCO', 'YESBANK', 'BHARTIARTL', 'HEROMOTOCO', 'HINDUNILVR', 'ICICIGI', 'NAUKRI', 'PEL', 'SIEMENS', 'ACC', 'GRASIM', 'HAVELLS', 'TATASTEEL', 'UPL', 'AUROPHARMA', 'AXISBANK', 'HDFC', 'LT', 'MARICO', 'POWERGRID', 'SBIN', 'WIPRO', 'APOLLOHOSP', 'INDUSINDBK', 'INFY', 'MRF', 'ONGC', 'ALKEM', 'BANDHANBNK', 'NMDC', 'BAJAJFINSV', 'CIPLA', 'KOTAKBANK', 'LTI', 'MARUTI', 'PNB', 'TCS', 'TITAN', 'ADANIENT', 'BPCL', 'BRITANNIA', 'COLPAL', 'EICHERMOT', 'HDFCAMC', 'HINDPETRO', 'ICICIPRULI', 'DLF', 'ICICIBANK', 'RELIANCE', 'ASIANPAINT', 'BAJAJ-AUTO', 'CADILAHC', 'JUBLFOOD', 'NESTLEIND', 'BAJFINANCE', 'BOSCHLTD', 'INDIGO', 'SBICARD', 'UBL', 'ABBOTINDIA', 'BAJAJHLDNG', 'COALINDIA', 'HCLTECH', 'HDFCLIFE', 'HINDALCO', 'PIDILITIND', 'ADANITRANS', 'DRREDDY', 'GAIL', 'MCDOWELL-N', 'BERGEPAINT', 'DIVISLAB', 'DMART', 'NTPC', 'TECHM', 'TORNTPHARM', 'VEDL', 'BIOCON', 'INDUSTOWER', 'ITC', 'JSWSTEEL', 'LUPIN', 'M&M', 'MUTHOOTFIN', 'PETRONET', 'SBILIFE', 'SUNPHARMA']


# Nifty Auto stocks list
def get_nifty_auto_with_ns():
    return ['BHARATFORG.NS', 'MOTHERSUMI.NS', 'TATAMOTORS.NS', 'TVSMOTOR.NS', 'HEROMOTOCO.NS', 'ASHOKLEY.NS', 'AMARAJABAT.NS', 'MRF.NS', 'EXIDEIND.NS', 'MARUTI.NS', 'EICHERMOT.NS', 'BAJAJ-AUTO.NS', 'BOSCHLTD.NS', 'BALKRISIND.NS', 'M&M.NS']


# Nifty Auto stocks list
def get_nifty_auto():
    return ['BHARATFORG', 'MOTHERSUMI', 'TATAMOTORS', 'TVSMOTOR', 'HEROMOTOCO', 'ASHOKLEY', 'AMARAJABAT', 'MRF', 'EXIDEIND', 'MARUTI', 'EICHERMOT', 'BAJAJ-AUTO', 'BOSCHLTD', 'BALKRISIND', 'M&M']


# Nifty Energy stocks list
def get_nifty_energy_with_ns():
    return ['ADANIGREEN.NS', 'IOC.NS', 'TATAPOWER.NS', 'POWERGRID.NS', 'ONGC.NS', 'BPCL.NS', 'HINDPETRO.NS', 'RELIANCE.NS', 'GAIL.NS', 'NTPC.NS']


# Nifty Energy stocks list
def get_nifty_energy():
    return ['ADANIGREEN', 'IOC', 'TATAPOWER', 'POWERGRID', 'ONGC', 'BPCL', 'HINDPETRO', 'RELIANCE', 'GAIL', 'NTPC']


# Nifty Financial Services stocks list
def get_nifty_financial_services_with_ns():
    return ['HDFCBANK.NS', 'M&MFIN.NS', 'RECLTD.NS', 'ICICIGI.NS', 'PEL.NS', 'AXISBANK.NS', 'HDFC.NS', 'SBIN.NS', 'SRTRANSFIN.NS', 'BAJAJFINSV.NS', 'CHOLAFIN.NS', 'KOTAKBANK.NS', 'HDFCAMC.NS', 'ICICIPRULI.NS', 'ICICIBANK.NS', 'PFC.NS', 'BAJFINANCE.NS', 'HDFCLIFE.NS', 'MUTHOOTFIN.NS', 'SBILIFE.NS']


# Nifty Financial Services stocks list
def get_nifty_financial_services():
    return ['HDFCBANK', 'M&MFIN', 'RECLTD', 'ICICIGI', 'PEL', 'AXISBANK', 'HDFC', 'SBIN', 'SRTRANSFIN', 'BAJAJFINSV', 'CHOLAFIN', 'KOTAKBANK', 'HDFCAMC', 'ICICIPRULI', 'ICICIBANK', 'PFC', 'BAJFINANCE', 'HDFCLIFE', 'MUTHOOTFIN', 'SBILIFE']


# Nifty FMCG stocks list
def get_nifty_fmcg_with_ns():
    return ['TATACONSUM.NS', 'DABUR.NS', 'GODREJCP.NS', 'PGHH.NS', 'HINDUNILVR.NS', 'MARICO.NS', 'EMAMILTD.NS', 'BRITANNIA.NS', 'COLPAL.NS', 'JUBLFOOD.NS', 'NESTLEIND.NS', 'UBL.NS', 'MCDOWELL-N.NS', 'ITC.NS', 'VBL.NS']


# Nifty FMCG stocks list
def get_nifty_fmcg():
    return ['TATACONSUM', 'DABUR', 'GODREJCP', 'PGHH', 'HINDUNILVR', 'MARICO', 'EMAMILTD', 'BRITANNIA', 'COLPAL', 'JUBLFOOD', 'NESTLEIND', 'UBL', 'MCDOWELL-N', 'ITC', 'VBL']


# Nifty IT stocks list
def get_nifty_it_with_ns():
    return ['MPHASIS.NS', 'OFSS.NS', 'WIPRO.NS', 'INFY.NS', 'LTI.NS', 'TCS.NS', 'MINDTREE.NS', 'HCLTECH.NS', 'COFORGE.NS', 'TECHM.NS']


# Nifty IT stocks list
def get_nifty_it():
    return ['MPHASIS', 'OFSS', 'WIPRO', 'INFY', 'LTI', 'TCS', 'MINDTREE', 'HCLTECH', 'COFORGE', 'TECHM']


# Nifty Large Midcap 250 stocks list
def get_nifty_large_midcap250_with_ns():
    return ['3MINDIA.NS', 'ADANIGREEN.NS', 'AARTIIND.NS', 'BBTC.NS', 'BHARATFORG.NS', 'CHOLAHLDNG.NS', 'CRISIL.NS', 'DHANI.NS', 'HAL.NS', 'HDFCBANK.NS', 'IDFCFIRSTB.NS', 'IGL.NS', 'IOC.NS', 'JKCEMENT.NS', 'M&MFIN.NS', 'MOTHERSUMI.NS', 'SHREECEM.NS', 'SKFINDIA.NS', 'TATACHEM.NS', 'TATACONSUM.NS', 'TATAMOTORS.NS', 'TVSMOTOR.NS', 'WHIRLPOOL.NS', 'ADANIPORTS.NS', 'AMBUJACEM.NS', 'DABUR.NS', 'GODREJCP.NS', 'JSWENERGY.NS', 'PGHH.NS', 'RECLTD.NS', 'TATAPOWER.NS', 'ULTRACEMCO.NS', 'YESBANK.NS', 'BHARTIARTL.NS', 'GICRE.NS', 'HEROMOTOCO.NS', 'HINDUNILVR.NS', 'ICICIGI.NS', 'IIFLWAM.NS', 'MINDAIND.NS', 'NAUKRI.NS', 'PEL.NS', 'SIEMENS.NS', 'TATACOMM.NS', 'ABFRL.NS', 'ACC.NS', 'ASHOKLEY.NS', 'BANKBARODA.NS', 'GRASIM.NS', 'GSPL.NS', 'GUJGASLTD.NS', 'HAVELLS.NS', 'IBULHSGFIN.NS', 'LALPATHLAB.NS', 'PAGEIND.NS', 'SUNDRMFAST.NS', 'TATASTEEL.NS', 'TTKPRESTIG.NS', 'UPL.NS', 'VINATIORGA.NS', 'ABCAPITAL.NS', 'AKZOINDIA.NS', 'AMARAJABAT.NS', 'ASTRAZEN.NS', 'AUROPHARMA.NS', 'AXISBANK.NS', 'BATAINDIA.NS', 'CANBK.NS', 'COROMANDEL.NS', 'CUMMINSIND.NS', 'ENDURANCE.NS', 'GLAXO.NS', 'HDFC.NS', 'JMFINANCIL.NS', 'LT.NS', 'MARICO.NS', 'MPHASIS.NS', 'OFSS.NS', 'PERSISTENT.NS', 'PFIZER.NS', 'PGHL.NS', 'POWERGRID.NS', 'SBIN.NS', 'SRTRANSFIN.NS', 'SUNTV.NS', 'THERMAX.NS', 'WIPRO.NS', 'APLLTD.NS', 'APOLLOHOSP.NS', 'BHEL.NS', 'DIXON.NS', 'GLENMARK.NS', 'INDUSINDBK.NS', 'INFY.NS', 'JINDALSTEL.NS', 'L&TFH.NS', 'MRF.NS', 'OBEROIRLTY.NS', 'ONGC.NS', 'PIIND.NS', 'SANOFI.NS', 'ALKEM.NS', 'BANDHANBNK.NS', 'EMAMILTD.NS', 'ESCORTS.NS', 'FORTIS.NS', 'GMRINFRA.NS', 'HINDZINC.NS', 'INDHOTEL.NS', 'NHPC.NS', 'NMDC.NS', 'SCHAEFFLER.NS', 'SUPREMEIND.NS', 'BAJAJFINSV.NS', 'BANKINDIA.NS', 'CHOLAFIN.NS', 'CIPLA.NS', 'EXIDEIND.NS', 'IDBI.NS', 'ISEC.NS', 'KOTAKBANK.NS', 'LTI.NS', 'MANAPPURAM.NS', 'MARUTI.NS', 'METROPOLIS.NS', 'MOTILALOFS.NS', 'NATCOPHARM.NS', 'PNB.NS', 'SOLARINDS.NS', 'TCS.NS', 'TITAN.NS', 'ZEEL.NS', 'ADANIENT.NS', 'AUBANK.NS', 'BPCL.NS', 'BRITANNIA.NS', 'CASTROLIND.NS', 'COLPAL.NS', 'DALBHARAT.NS', 'EICHERMOT.NS', 'HDFCAMC.NS', 'HINDPETRO.NS', 'ICICIPRULI.NS', 'MINDTREE.NS', 'POLYCAB.NS', 'SAIL.NS', 'SUVENPHAR.NS', 'TIINDIA.NS', 'VGUARD.NS', 'ASTRAL.NS', 'ATGL.NS', 'DEEPAKNTR.NS', 'DLF.NS', 'ICICIBANK.NS', 'LAURUSLABS.NS', 'LTTS.NS', 'NAVINFLUOR.NS', 'RELIANCE.NS', 'ASIANPAINT.NS', 'BAJAJ-AUTO.NS', 'BAYERCROP.NS', 'CADILAHC.NS', 'CONCOR.NS', 'GODREJPROP.NS', 'IDEA.NS', 'JUBLFOOD.NS', 'NESTLEIND.NS', 'PFC.NS', 'PRESTIGE.NS', 'ABB.NS', 'APOLLOTYRE.NS', 'BAJFINANCE.NS', 'BEL.NS', 'BOSCHLTD.NS', 'HATSUN.NS', 'INDIGO.NS', 'NIACL.NS', 'RAJESHEXPO.NS', 'RELAXO.NS', 'SBICARD.NS', 'SUNDARMFIN.NS', 'TRENT.NS', 'UBL.NS', 'UNIONBANK.NS', 'ABBOTINDIA.NS', 'AJANTPHARM.NS', 'BAJAJHLDNG.NS', 'CESC.NS', 'COALINDIA.NS', 'CROMPTON.NS', 'FEDERALBNK.NS', 'GODREJAGRO.NS', 'GODREJIND.NS', 'HCLTECH.NS', 'HDFCLIFE.NS', 'HINDALCO.NS', 'IPCALAB.NS', 'KANSAINER.NS', 'PIDILITIND.NS', 'RBLBANK.NS', 'SJVN.NS', 'SUMICHEM.NS', 'ADANITRANS.NS', 'ATUL.NS', 'CREDITACC.NS', 'DRREDDY.NS', 'GAIL.NS', 'INDIAMART.NS', 'IRCTC.NS', 'LICHSGFIN.NS', 'MCDOWELL-N.NS', 'OIL.NS', 'RAMCOCEM.NS', 'SYNGENE.NS', 'VOLTAS.NS', 'AAVAS.NS', 'AIAENG.NS', 'BERGEPAINT.NS', 'COFORGE.NS', 'DIVISLAB.NS', 'DMART.NS', 'HONAUT.NS', 'MFSL.NS', 'NAM-INDIA.NS', 'NTPC.NS', 'PHOENIXLTD.NS', 'SRF.NS', 'TATAELXSI.NS', 'TECHM.NS', 'TORNTPHARM.NS', 'TORNTPOWER.NS', 'VEDL.NS', 'BALKRISIND.NS', 'BIOCON.NS', 'CUB.NS', 'GILLETTE.NS', 'INDUSTOWER.NS', 'ITC.NS', 'ITI.NS', 'JSWSTEEL.NS', 'LUPIN.NS', 'M&M.NS', 'MAXHEALTH.NS', 'MGL.NS', 'MUTHOOTFIN.NS', 'PETRONET.NS', 'SBILIFE.NS', 'SUNPHARMA.NS', 'VBL.NS', 'ZYDUSWELL.NS']


# Nifty Large Midcap 250 stocks list
def get_nifty_large_midcap250():
    return ['3MINDIA', 'ADANIGREEN', 'AARTIIND', 'BBTC', 'BHARATFORG', 'CHOLAHLDNG', 'CRISIL', 'DHANI', 'HAL', 'HDFCBANK', 'IDFCFIRSTB', 'IGL', 'IOC', 'JKCEMENT', 'M&MFIN', 'MOTHERSUMI', 'SHREECEM', 'SKFINDIA', 'TATACHEM', 'TATACONSUM', 'TATAMOTORS', 'TVSMOTOR', 'WHIRLPOOL', 'ADANIPORTS', 'AMBUJACEM', 'DABUR', 'GODREJCP', 'JSWENERGY', 'PGHH', 'RECLTD', 'TATAPOWER', 'ULTRACEMCO', 'YESBANK', 'BHARTIARTL', 'GICRE', 'HEROMOTOCO', 'HINDUNILVR', 'ICICIGI', 'IIFLWAM', 'MINDAIND', 'NAUKRI', 'PEL', 'SIEMENS', 'TATACOMM', 'ABFRL', 'ACC', 'ASHOKLEY', 'BANKBARODA', 'GRASIM', 'GSPL', 'GUJGASLTD', 'HAVELLS', 'IBULHSGFIN', 'LALPATHLAB', 'PAGEIND', 'SUNDRMFAST', 'TATASTEEL', 'TTKPRESTIG', 'UPL', 'VINATIORGA', 'ABCAPITAL', 'AKZOINDIA', 'AMARAJABAT', 'ASTRAZEN', 'AUROPHARMA', 'AXISBANK', 'BATAINDIA', 'CANBK', 'COROMANDEL', 'CUMMINSIND', 'ENDURANCE', 'GLAXO', 'HDFC', 'JMFINANCIL', 'LT', 'MARICO', 'MPHASIS', 'OFSS', 'PERSISTENT', 'PFIZER', 'PGHL', 'POWERGRID', 'SBIN', 'SRTRANSFIN', 'SUNTV', 'THERMAX', 'WIPRO', 'APLLTD', 'APOLLOHOSP', 'BHEL', 'DIXON', 'GLENMARK', 'INDUSINDBK', 'INFY', 'JINDALSTEL', 'L&TFH', 'MRF', 'OBEROIRLTY', 'ONGC', 'PIIND', 'SANOFI', 'ALKEM', 'BANDHANBNK', 'EMAMILTD', 'ESCORTS', 'FORTIS', 'GMRINFRA', 'HINDZINC', 'INDHOTEL', 'NHPC', 'NMDC', 'SCHAEFFLER', 'SUPREMEIND', 'BAJAJFINSV', 'BANKINDIA', 'CHOLAFIN', 'CIPLA', 'EXIDEIND', 'IDBI', 'ISEC', 'KOTAKBANK', 'LTI', 'MANAPPURAM', 'MARUTI', 'METROPOLIS', 'MOTILALOFS', 'NATCOPHARM', 'PNB', 'SOLARINDS', 'TCS', 'TITAN', 'ZEEL', 'ADANIENT', 'AUBANK', 'BPCL', 'BRITANNIA', 'CASTROLIND', 'COLPAL', 'DALBHARAT', 'EICHERMOT', 'HDFCAMC', 'HINDPETRO', 'ICICIPRULI', 'MINDTREE', 'POLYCAB', 'SAIL', 'SUVENPHAR', 'TIINDIA', 'VGUARD', 'ASTRAL', 'ATGL', 'DEEPAKNTR', 'DLF', 'ICICIBANK', 'LAURUSLABS', 'LTTS', 'NAVINFLUOR', 'RELIANCE', 'ASIANPAINT', 'BAJAJ-AUTO', 'BAYERCROP', 'CADILAHC', 'CONCOR', 'GODREJPROP', 'IDEA', 'JUBLFOOD', 'NESTLEIND', 'PFC', 'PRESTIGE', 'ABB', 'APOLLOTYRE', 'BAJFINANCE', 'BEL', 'BOSCHLTD', 'HATSUN', 'INDIGO', 'NIACL', 'RAJESHEXPO', 'RELAXO', 'SBICARD', 'SUNDARMFIN', 'TRENT', 'UBL', 'UNIONBANK', 'ABBOTINDIA', 'AJANTPHARM', 'BAJAJHLDNG', 'CESC', 'COALINDIA', 'CROMPTON', 'FEDERALBNK', 'GODREJAGRO', 'GODREJIND', 'HCLTECH', 'HDFCLIFE', 'HINDALCO', 'IPCALAB', 'KANSAINER', 'PIDILITIND', 'RBLBANK', 'SJVN', 'SUMICHEM', 'ADANITRANS', 'ATUL', 'CREDITACC', 'DRREDDY', 'GAIL', 'INDIAMART', 'IRCTC', 'LICHSGFIN', 'MCDOWELL-N', 'OIL', 'RAMCOCEM', 'SYNGENE', 'VOLTAS', 'AAVAS', 'AIAENG', 'BERGEPAINT', 'COFORGE', 'DIVISLAB', 'DMART', 'HONAUT', 'MFSL', 'NAM-INDIA', 'NTPC', 'PHOENIXLTD', 'SRF', 'TATAELXSI', 'TECHM', 'TORNTPHARM', 'TORNTPOWER', 'VEDL', 'BALKRISIND', 'BIOCON', 'CUB', 'GILLETTE', 'INDUSTOWER', 'ITC', 'ITI', 'JSWSTEEL', 'LUPIN', 'M&M', 'MAXHEALTH', 'MGL', 'MUTHOOTFIN', 'PETRONET', 'SBILIFE', 'SUNPHARMA', 'VBL', 'ZYDUSWELL']


# Nifty Media stocks list
def get_nifty_media_with_ns():
    return ['JAGRAN.NS', 'NETWORK18.NS', 'SUNTV.NS', 'DISHTV.NS', 'ZEEL.NS', 'TV18BRDCST.NS', 'J&KBANK.NS', 'PSB.NS', 'DBCORP.NS', 'PVR.NS', 'TVTODAY.NS', 'INOXLEISUR.NS']


# Nifty Media stocks list
def get_nifty_media():
    return ['JAGRAN', 'NETWORK18', 'SUNTV', 'DISHTV', 'ZEEL', 'TV18BRDCST', 'J&KBANK', 'PSB', 'DBCORP', 'PVR', 'TVTODAY', 'INOXLEISUR']


# Nifty Metal stocks list
def get_nifty_metal_with_ns():
    return ['NATIONALUM.NS', 'TATASTEEL.NS', 'APLAPOLLO.NS', 'JINDALSTEL.NS', 'HINDZINC.NS', 'NMDC.NS', 'ADANIENT.NS', 'MOIL.NS', 'SAIL.NS', 'RATNAMANI.NS', 'WELCORP.NS', 'COALINDIA.NS', 'HINDALCO.NS', 'JSWSTEEL.NS']


# Nifty Metal stocks list
def get_nifty_metal():
    return ['NATIONALUM', 'TATASTEEL', 'APLAPOLLO', 'JINDALSTEL', 'HINDZINC', 'NMDC', 'ADANIENT', 'MOIL', 'SAIL', 'RATNAMANI', 'WELCORP', 'COALINDIA', 'HINDALCO', 'JSWSTEEL']


# Nifty Midcap 50 stocks list
def get_nifty_midcap50_with_ns():
    return ['BHARATFORG.NS', 'IDFCFIRSTB.NS', 'M&MFIN.NS', 'TVSMOTOR.NS', 'RECLTD.NS', 'TATAPOWER.NS', 'ASHOKLEY.NS', 'BANKBARODA.NS', 'IBULHSGFIN.NS', 'PAGEIND.NS', 'AMARAJABAT.NS', 'BATAINDIA.NS', 'CANBK.NS', 'CUMMINSIND.NS', 'SRTRANSFIN.NS', 'SUNTV.NS', 'BHEL.NS', 'GLENMARK.NS', 'JINDALSTEL.NS', 'L&TFH.NS', 'ESCORTS.NS', 'GMRINFRA.NS', 'BANKINDIA.NS', 'CHOLAFIN.NS', 'EXIDEIND.NS', 'MANAPPURAM.NS', 'ZEEL.NS', 'AUBANK.NS', 'CASTROLIND.NS', 'MINDTREE.NS', 'SAIL.NS', 'CONCOR.NS', 'GODREJPROP.NS', 'IDEA.NS', 'PFC.NS', 'APOLLOTYRE.NS', 'BEL.NS', 'UNIONBANK.NS', 'FEDERALBNK.NS', 'RBLBANK.NS', 'IRCTC.NS', 'LICHSGFIN.NS', 'RAMCOCEM.NS', 'VOLTAS.NS', 'COFORGE.NS', 'MFSL.NS', 'SRF.NS', 'TORNTPOWER.NS', 'BALKRISIND.NS', 'MGL.NS']


# Nifty Midcap 50 stocks list
def get_nifty_midcap50():
    return ['BHARATFORG', 'IDFCFIRSTB', 'M&MFIN', 'TVSMOTOR', 'RECLTD', 'TATAPOWER', 'ASHOKLEY', 'BANKBARODA', 'IBULHSGFIN', 'PAGEIND', 'AMARAJABAT', 'BATAINDIA', 'CANBK', 'CUMMINSIND', 'SRTRANSFIN', 'SUNTV', 'BHEL', 'GLENMARK', 'JINDALSTEL', 'L&TFH', 'ESCORTS', 'GMRINFRA', 'BANKINDIA', 'CHOLAFIN', 'EXIDEIND', 'MANAPPURAM', 'ZEEL', 'AUBANK', 'CASTROLIND', 'MINDTREE', 'SAIL', 'CONCOR', 'GODREJPROP', 'IDEA', 'PFC', 'APOLLOTYRE', 'BEL', 'UNIONBANK', 'FEDERALBNK', 'RBLBANK', 'IRCTC', 'LICHSGFIN', 'RAMCOCEM', 'VOLTAS', 'COFORGE', 'MFSL', 'SRF', 'TORNTPOWER', 'BALKRISIND', 'MGL']


# Nifty Midcap 100 stocks list
def get_nifty_midcap100_with_ns():
    return ['AARTIIND.NS', 'BBTC.NS', 'BHARATFORG.NS', 'DHANI.NS', 'HAL.NS', 'IDFCFIRSTB.NS', 'M&MFIN.NS', 'TATACHEM.NS', 'TVSMOTOR.NS', 'WHIRLPOOL.NS', 'JSWENERGY.NS', 'RECLTD.NS', 'TATAPOWER.NS', 'ABFRL.NS', 'ASHOKLEY.NS', 'BANKBARODA.NS', 'GSPL.NS', 'GUJGASLTD.NS', 'IBULHSGFIN.NS', 'LALPATHLAB.NS', 'PAGEIND.NS', 'ABCAPITAL.NS', 'AMARAJABAT.NS', 'BATAINDIA.NS', 'CANBK.NS', 'COROMANDEL.NS', 'CUMMINSIND.NS', 'ENDURANCE.NS', 'MPHASIS.NS', 'PFIZER.NS', 'SRTRANSFIN.NS', 'SUNTV.NS', 'APLLTD.NS', 'BHEL.NS', 'DIXON.NS', 'GLENMARK.NS', 'JINDALSTEL.NS', 'L&TFH.NS', 'OBEROIRLTY.NS', 'PIIND.NS', 'SANOFI.NS', 'EMAMILTD.NS', 'ESCORTS.NS', 'FORTIS.NS', 'GMRINFRA.NS', 'HINDZINC.NS', 'INDHOTEL.NS', 'BANKINDIA.NS', 'CHOLAFIN.NS', 'EXIDEIND.NS', 'ISEC.NS', 'MANAPPURAM.NS', 'NATCOPHARM.NS', 'ZEEL.NS', 'AUBANK.NS', 'CASTROLIND.NS', 'DALBHARAT.NS', 'MINDTREE.NS', 'POLYCAB.NS', 'SAIL.NS', 'VGUARD.NS', 'ATGL.NS', 'DEEPAKNTR.NS', 'LAURUSLABS.NS', 'LTTS.NS', 'NAVINFLUOR.NS', 'CONCOR.NS', 'GODREJPROP.NS', 'IDEA.NS', 'PFC.NS', 'PRESTIGE.NS', 'APOLLOTYRE.NS', 'BEL.NS', 'TRENT.NS', 'UNIONBANK.NS', 'AJANTPHARM.NS', 'CESC.NS', 'CROMPTON.NS', 'FEDERALBNK.NS', 'GODREJAGRO.NS', 'GODREJIND.NS', 'IPCALAB.NS', 'RBLBANK.NS', 'INDIAMART.NS', 'IRCTC.NS', 'LICHSGFIN.NS', 'OIL.NS', 'RAMCOCEM.NS', 'SYNGENE.NS', 'VOLTAS.NS', 'COFORGE.NS', 'MFSL.NS', 'NAM-INDIA.NS', 'SRF.NS', 'TATAELXSI.NS', 'TORNTPOWER.NS', 'BALKRISIND.NS', 'CUB.NS', 'MGL.NS', 'VBL.NS']


# Nifty Midcap 100 stocks list
def get_nifty_midcap100():
    return ['AARTIIND', 'BBTC', 'BHARATFORG', 'DHANI', 'HAL', 'IDFCFIRSTB', 'M&MFIN', 'TATACHEM', 'TVSMOTOR', 'WHIRLPOOL', 'JSWENERGY', 'RECLTD', 'TATAPOWER', 'ABFRL', 'ASHOKLEY', 'BANKBARODA', 'GSPL', 'GUJGASLTD', 'IBULHSGFIN', 'LALPATHLAB', 'PAGEIND', 'ABCAPITAL', 'AMARAJABAT', 'BATAINDIA', 'CANBK', 'COROMANDEL', 'CUMMINSIND', 'ENDURANCE', 'MPHASIS', 'PFIZER', 'SRTRANSFIN', 'SUNTV', 'APLLTD', 'BHEL', 'DIXON', 'GLENMARK', 'JINDALSTEL', 'L&TFH', 'OBEROIRLTY', 'PIIND', 'SANOFI', 'EMAMILTD', 'ESCORTS', 'FORTIS', 'GMRINFRA', 'HINDZINC', 'INDHOTEL', 'BANKINDIA', 'CHOLAFIN', 'EXIDEIND', 'ISEC', 'MANAPPURAM', 'NATCOPHARM', 'ZEEL', 'AUBANK', 'CASTROLIND', 'DALBHARAT', 'MINDTREE', 'POLYCAB', 'SAIL', 'VGUARD', 'ATGL', 'DEEPAKNTR', 'LAURUSLABS', 'LTTS', 'NAVINFLUOR', 'CONCOR', 'GODREJPROP', 'IDEA', 'PFC', 'PRESTIGE', 'APOLLOTYRE', 'BEL', 'TRENT', 'UNIONBANK', 'AJANTPHARM', 'CESC', 'CROMPTON', 'FEDERALBNK', 'GODREJAGRO', 'GODREJIND', 'IPCALAB', 'RBLBANK', 'INDIAMART', 'IRCTC', 'LICHSGFIN', 'OIL', 'RAMCOCEM', 'SYNGENE', 'VOLTAS', 'COFORGE', 'MFSL', 'NAM-INDIA', 'SRF', 'TATAELXSI', 'TORNTPOWER', 'BALKRISIND', 'CUB', 'MGL', 'VBL']


# Nifty Midcap 150 stocks list
def get_nifty_midcap150_with_ns():
    return ['3MINDIA.NS', 'AARTIIND.NS', 'BBTC.NS', 'BHARATFORG.NS', 'CHOLAHLDNG.NS', 'CRISIL.NS', 'DHANI.NS', 'HAL.NS', 'IDFCFIRSTB.NS', 'JKCEMENT.NS', 'M&MFIN.NS', 'SKFINDIA.NS', 'TATACHEM.NS', 'TVSMOTOR.NS', 'WHIRLPOOL.NS', 'JSWENERGY.NS', 'RECLTD.NS', 'TATAPOWER.NS', 'GICRE.NS', 'IIFLWAM.NS', 'MINDAIND.NS', 'TATACOMM.NS', 'ABFRL.NS', 'ASHOKLEY.NS', 'BANKBARODA.NS', 'GSPL.NS', 'GUJGASLTD.NS', 'IBULHSGFIN.NS', 'LALPATHLAB.NS', 'PAGEIND.NS', 'SUNDRMFAST.NS', 'TTKPRESTIG.NS', 'VINATIORGA.NS', 'ABCAPITAL.NS', 'AKZOINDIA.NS', 'AMARAJABAT.NS', 'ASTRAZEN.NS', 'BATAINDIA.NS', 'CANBK.NS', 'COROMANDEL.NS', 'CUMMINSIND.NS', 'ENDURANCE.NS', 'GLAXO.NS', 'JMFINANCIL.NS', 'MPHASIS.NS', 'OFSS.NS', 'PERSISTENT.NS', 'PFIZER.NS', 'PGHL.NS', 'SRTRANSFIN.NS', 'SUNTV.NS', 'THERMAX.NS', 'APLLTD.NS', 'BHEL.NS', 'DIXON.NS', 'GLENMARK.NS', 'JINDALSTEL.NS', 'L&TFH.NS', 'OBEROIRLTY.NS', 'PIIND.NS', 'SANOFI.NS', 'EMAMILTD.NS', 'ESCORTS.NS', 'FORTIS.NS', 'GMRINFRA.NS', 'HINDZINC.NS', 'INDHOTEL.NS', 'NHPC.NS', 'SCHAEFFLER.NS', 'SUPREMEIND.NS', 'BANKINDIA.NS', 'CHOLAFIN.NS', 'EXIDEIND.NS', 'IDBI.NS', 'ISEC.NS', 'MANAPPURAM.NS', 'METROPOLIS.NS', 'MOTILALOFS.NS', 'NATCOPHARM.NS', 'SOLARINDS.NS', 'ZEEL.NS', 'AUBANK.NS', 'CASTROLIND.NS', 'DALBHARAT.NS', 'MINDTREE.NS', 'POLYCAB.NS', 'SAIL.NS', 'SUVENPHAR.NS', 'TIINDIA.NS', 'VGUARD.NS', 'ASTRAL.NS', 'ATGL.NS', 'DEEPAKNTR.NS', 'LAURUSLABS.NS', 'LTTS.NS', 'NAVINFLUOR.NS', 'BAYERCROP.NS', 'CONCOR.NS', 'GODREJPROP.NS', 'IDEA.NS', 'PFC.NS', 'PRESTIGE.NS', 'ABB.NS', 'APOLLOTYRE.NS', 'BEL.NS', 'HATSUN.NS', 'NIACL.NS', 'RAJESHEXPO.NS', 'RELAXO.NS', 'SUNDARMFIN.NS', 'TRENT.NS', 'UNIONBANK.NS', 'AJANTPHARM.NS', 'CESC.NS', 'CROMPTON.NS', 'FEDERALBNK.NS', 'GODREJAGRO.NS', 'GODREJIND.NS', 'IPCALAB.NS', 'KANSAINER.NS', 'RBLBANK.NS', 'SJVN.NS', 'SUMICHEM.NS', 'ATUL.NS', 'CREDITACC.NS', 'INDIAMART.NS', 'IRCTC.NS', 'LICHSGFIN.NS', 'OIL.NS', 'RAMCOCEM.NS', 'SYNGENE.NS', 'VOLTAS.NS', 'AAVAS.NS', 'AIAENG.NS', 'COFORGE.NS', 'HONAUT.NS', 'MFSL.NS', 'NAM-INDIA.NS', 'PHOENIXLTD.NS', 'SRF.NS', 'TATAELXSI.NS', 'TORNTPOWER.NS', 'BALKRISIND.NS', 'CUB.NS', 'GILLETTE.NS', 'ITI.NS', 'MAXHEALTH.NS', 'MGL.NS', 'VBL.NS', 'ZYDUSWELL.NS']


# Nifty Midcap 150 stocks list
def get_nifty_midcap150():
    return ['3MINDIA', 'AARTIIND', 'BBTC', 'BHARATFORG', 'CHOLAHLDNG', 'CRISIL', 'DHANI', 'HAL', 'IDFCFIRSTB', 'JKCEMENT', 'M&MFIN', 'SKFINDIA', 'TATACHEM', 'TVSMOTOR', 'WHIRLPOOL', 'JSWENERGY', 'RECLTD', 'TATAPOWER', 'GICRE', 'IIFLWAM', 'MINDAIND', 'TATACOMM', 'ABFRL', 'ASHOKLEY', 'BANKBARODA', 'GSPL', 'GUJGASLTD', 'IBULHSGFIN', 'LALPATHLAB', 'PAGEIND', 'SUNDRMFAST', 'TTKPRESTIG', 'VINATIORGA', 'ABCAPITAL', 'AKZOINDIA', 'AMARAJABAT', 'ASTRAZEN', 'BATAINDIA', 'CANBK', 'COROMANDEL', 'CUMMINSIND', 'ENDURANCE', 'GLAXO', 'JMFINANCIL', 'MPHASIS', 'OFSS', 'PERSISTENT', 'PFIZER', 'PGHL', 'SRTRANSFIN', 'SUNTV', 'THERMAX', 'APLLTD', 'BHEL', 'DIXON', 'GLENMARK', 'JINDALSTEL', 'L&TFH', 'OBEROIRLTY', 'PIIND', 'SANOFI', 'EMAMILTD', 'ESCORTS', 'FORTIS', 'GMRINFRA', 'HINDZINC', 'INDHOTEL', 'NHPC', 'SCHAEFFLER', 'SUPREMEIND', 'BANKINDIA', 'CHOLAFIN', 'EXIDEIND', 'IDBI', 'ISEC', 'MANAPPURAM', 'METROPOLIS', 'MOTILALOFS', 'NATCOPHARM', 'SOLARINDS', 'ZEEL', 'AUBANK', 'CASTROLIND', 'DALBHARAT', 'MINDTREE', 'POLYCAB', 'SAIL', 'SUVENPHAR', 'TIINDIA', 'VGUARD', 'ASTRAL', 'ATGL', 'DEEPAKNTR', 'LAURUSLABS', 'LTTS', 'NAVINFLUOR', 'BAYERCROP', 'CONCOR', 'GODREJPROP', 'IDEA', 'PFC', 'PRESTIGE', 'ABB', 'APOLLOTYRE', 'BEL', 'HATSUN', 'NIACL', 'RAJESHEXPO', 'RELAXO', 'SUNDARMFIN', 'TRENT', 'UNIONBANK', 'AJANTPHARM', 'CESC', 'CROMPTON', 'FEDERALBNK', 'GODREJAGRO', 'GODREJIND', 'IPCALAB', 'KANSAINER', 'RBLBANK', 'SJVN', 'SUMICHEM', 'ATUL', 'CREDITACC', 'INDIAMART', 'IRCTC', 'LICHSGFIN', 'OIL', 'RAMCOCEM', 'SYNGENE', 'VOLTAS', 'AAVAS', 'AIAENG', 'COFORGE', 'HONAUT', 'MFSL', 'NAM-INDIA', 'PHOENIXLTD', 'SRF', 'TATAELXSI', 'TORNTPOWER', 'BALKRISIND', 'CUB', 'GILLETTE', 'ITI', 'MAXHEALTH', 'MGL', 'VBL', 'ZYDUSWELL']


# Nifty Mid-Smallcap 400 stocks list
def get_nifty_mid_smallcap400_with_ns():
    return ['BHARATFORG.NS', 'IDFCFIRSTB.NS', 'M&MFIN.NS', 'TVSMOTOR.NS', 'RECLTD.NS', 'TATAPOWER.NS', 'ASHOKLEY.NS', 'BANKBARODA.NS', 'IBULHSGFIN.NS', 'PAGEIND.NS', 'AMARAJABAT.NS', 'BATAINDIA.NS', 'CANBK.NS', 'CUMMINSIND.NS', 'SRTRANSFIN.NS', 'SUNTV.NS', 'BHEL.NS', 'GLENMARK.NS', 'JINDALSTEL.NS', 'L&TFH.NS', 'ESCORTS.NS', 'GMRINFRA.NS', 'BANKINDIA.NS', 'CHOLAFIN.NS', 'EXIDEIND.NS', 'MANAPPURAM.NS', 'ZEEL.NS', 'AUBANK.NS', 'CASTROLIND.NS', 'MINDTREE.NS', 'SAIL.NS', 'CONCOR.NS', 'GODREJPROP.NS', 'IDEA.NS', 'PFC.NS', 'APOLLOTYRE.NS', 'BEL.NS', 'UNIONBANK.NS', 'FEDERALBNK.NS', 'RBLBANK.NS', 'IRCTC.NS', 'LICHSGFIN.NS', 'RAMCOCEM.NS', 'VOLTAS.NS', 'COFORGE.NS', 'MFSL.NS', 'SRF.NS', 'TORNTPOWER.NS', 'BALKRISIND.NS', 'MGL.NS']


# Nifty Mid-Smallcap 400 stocks list
def get_nifty_mid_smallcap400():
    return ['BHARATFORG', 'IDFCFIRSTB', 'M&MFIN', 'TVSMOTOR', 'RECLTD', 'TATAPOWER', 'ASHOKLEY', 'BANKBARODA', 'IBULHSGFIN', 'PAGEIND', 'AMARAJABAT', 'BATAINDIA', 'CANBK', 'CUMMINSIND', 'SRTRANSFIN', 'SUNTV', 'BHEL', 'GLENMARK', 'JINDALSTEL', 'L&TFH', 'ESCORTS', 'GMRINFRA', 'BANKINDIA', 'CHOLAFIN', 'EXIDEIND', 'MANAPPURAM', 'ZEEL', 'AUBANK', 'CASTROLIND', 'MINDTREE', 'SAIL', 'CONCOR', 'GODREJPROP', 'IDEA', 'PFC', 'APOLLOTYRE', 'BEL', 'UNIONBANK', 'FEDERALBNK', 'RBLBANK', 'IRCTC', 'LICHSGFIN', 'RAMCOCEM', 'VOLTAS', 'COFORGE', 'MFSL', 'SRF', 'TORNTPOWER', 'BALKRISIND', 'MGL']


# Nifty Next 50 stocks list
def get_nifty_next50_with_ns():
    return ['ADANIGREEN.NS', 'IGL.NS', 'MOTHERSUMI.NS', 'AMBUJACEM.NS', 'DABUR.NS', 'GODREJCP.NS', 'PGHH.NS', 'YESBANK.NS', 'ICICIGI.NS', 'NAUKRI.NS', 'PEL.NS', 'SIEMENS.NS', 'ACC.NS', 'HAVELLS.NS', 'AUROPHARMA.NS', 'MARICO.NS', 'APOLLOHOSP.NS', 'MRF.NS', 'ALKEM.NS', 'BANDHANBNK.NS', 'NMDC.NS', 'LTI.NS', 'PNB.NS', 'ADANIENT.NS', 'COLPAL.NS', 'HDFCAMC.NS', 'HINDPETRO.NS', 'ICICIPRULI.NS', 'DLF.NS', 'CADILAHC.NS', 'JUBLFOOD.NS', 'BOSCHLTD.NS', 'INDIGO.NS', 'SBICARD.NS', 'UBL.NS', 'ABBOTINDIA.NS', 'BAJAJHLDNG.NS', 'PIDILITIND.NS', 'ADANITRANS.NS', 'GAIL.NS', 'MCDOWELL-N.NS', 'BERGEPAINT.NS', 'DMART.NS', 'TORNTPHARM.NS', 'VEDL.NS', 'BIOCON.NS', 'INDUSTOWER.NS', 'LUPIN.NS', 'MUTHOOTFIN.NS', 'PETRONET.NS']


# Nifty Next 50 stocks list
def get_nifty_next50():
    return ['ADANIGREEN', 'IGL', 'MOTHERSUMI', 'AMBUJACEM', 'DABUR', 'GODREJCP', 'PGHH', 'YESBANK', 'ICICIGI', 'NAUKRI', 'PEL', 'SIEMENS', 'ACC', 'HAVELLS', 'AUROPHARMA', 'MARICO', 'APOLLOHOSP', 'MRF', 'ALKEM', 'BANDHANBNK', 'NMDC', 'LTI', 'PNB', 'ADANIENT', 'COLPAL', 'HDFCAMC', 'HINDPETRO', 'ICICIPRULI', 'DLF', 'CADILAHC', 'JUBLFOOD', 'BOSCHLTD', 'INDIGO', 'SBICARD', 'UBL', 'ABBOTINDIA', 'BAJAJHLDNG', 'PIDILITIND', 'ADANITRANS', 'GAIL', 'MCDOWELL-N', 'BERGEPAINT', 'DMART', 'TORNTPHARM', 'VEDL', 'BIOCON', 'INDUSTOWER', 'LUPIN', 'MUTHOOTFIN', 'PETRONET']


# Nifty Pharma stocks list
def get_nifty_pharma_with_ns():
    return ['AUROPHARMA.NS', 'ALKEM.NS', 'CIPLA.NS', 'CADILAHC.NS', 'DRREDDY.NS', 'DIVISLAB.NS', 'TORNTPHARM.NS', 'BIOCON.NS', 'LUPIN.NS', 'SUNPHARMA.NS']


# Nifty Pharma stocks list
def get_nifty_pharma():
    return ['AUROPHARMA', 'ALKEM', 'CIPLA', 'CADILAHC', 'DRREDDY', 'DIVISLAB', 'TORNTPHARM', 'BIOCON', 'LUPIN', 'SUNPHARMA']


# Nifty Private Bank stocks list
def get_nifty_private_bank_with_ns():
    return ['HDFCBANK.NS', 'IDFCFIRSTB.NS', 'YESBANK.NS', 'AXISBANK.NS', 'INDUSINDBK.NS', 'BANDHANBNK.NS', 'KOTAKBANK.NS', 'ICICIBANK.NS', 'FEDERALBNK.NS', 'RBLBANK.NS']


# Nifty Private Bank stocks list
def get_nifty_private_bank():
    return ['HDFCBANK', 'IDFCFIRSTB', 'YESBANK', 'AXISBANK', 'INDUSINDBK', 'BANDHANBNK', 'KOTAKBANK', 'ICICIBANK', 'FEDERALBNK', 'RBLBANK']


# Nifty PSU Bank stocks list
def get_nifty_psu_bank_with_ns():
    return ['IOB.NS', 'CENTRALBK.NS', 'BANKBARODA.NS', 'CANBK.NS', 'SBIN.NS', 'INDIANB.NS', 'BANKINDIA.NS', 'PNB.NS', 'MAHABANK.NS', 'UCOBANK.NS', 'J&KBANK.NS', 'UNIONBANK.NS']


# Nifty PSU Bank stocks list
def get_nifty_psu_bank():
    return ['IOB', 'CENTRALBK', 'BANKBARODA', 'CANBK', 'SBIN', 'INDIANB', 'BANKINDIA', 'PNB', 'MAHABANK', 'UCOBANK', 'J&KBANK', 'UNIONBANK']


# Nifty Realty stocks list
def get_nifty_realty_with_ns():
    return ['HEMIPROP.NS', 'OBEROIRLTY.NS', 'SOBHA.NS', 'SUNTECK.NS', 'IBREALEST.NS', 'DLF.NS', 'GODREJPROP.NS', 'PRESTIGE.NS', 'BRIGADE.NS', 'PHOENIXLTD.NS']


# Nifty Realty stocks list
def get_nifty_realty():
    return ['HEMIPROP', 'OBEROIRLTY', 'SOBHA', 'SUNTECK', 'IBREALEST', 'DLF', 'GODREJPROP', 'PRESTIGE', 'BRIGADE', 'PHOENIXLTD']


# Nifty Smallcap 50 stocks list
def get_nifty_smallcap50_with_ns():
    return ['AMBER.NS', 'GMMPFAUDLR.NS', 'HAPPSTMNDS.NS', 'JBCHEPHARM.NS', 'SPARC.NS', 'VAKRANGEE.NS', 'CYIENT.NS', 'NATIONALUM.NS', 'STAR.NS', 'CHAMBLFERT.NS', 'COCHINSHIP.NS', 'KEC.NS', 'NBCC.NS', 'VIPIND.NS', 'RITES.NS', 'BDL.NS', 'CAMS.NS', 'APLAPOLLO.NS', 'FSL.NS', 'INDIANB.NS', 'RADICO.NS', 'RVNL.NS', 'AFFLE.NS', 'MCX.NS', 'STLTECH.NS', 'SUNTECK.NS', 'BAJAJELEC.NS', 'CANFINHOME.NS', 'DBL.NS', 'UTIAMC.NS', 'CDSL.NS', 'KAJARIACER.NS', 'THYROCARE.NS', 'TV18BRDCST.NS', 'PNBHOUSING.NS', 'ALOKINDS.NS', 'BSOFT.NS', 'BIRLACORPN.NS', 'GRAPHITE.NS', 'AARTIDRUGS.NS', 'FRETAIL.NS', 'RALLIS.NS', 'ROUTE.NS', 'AVANTIFEED.NS', 'PVR.NS', 'ALKYLAMINE.NS', 'CEATLTD.NS', 'GRANULES.NS', 'IDFC.NS', 'WOCKPHARMA.NS']


# Nifty Smallcap 50 stocks list
def get_nifty_smallcap50():
    return ['AMBER', 'GMMPFAUDLR', 'HAPPSTMNDS', 'JBCHEPHARM', 'SPARC', 'VAKRANGEE', 'CYIENT', 'NATIONALUM', 'STAR', 'CHAMBLFERT', 'COCHINSHIP', 'KEC', 'NBCC', 'VIPIND', 'RITES', 'BDL', 'CAMS', 'APLAPOLLO', 'FSL', 'INDIANB', 'RADICO', 'RVNL', 'AFFLE', 'MCX', 'STLTECH', 'SUNTECK', 'BAJAJELEC', 'CANFINHOME', 'DBL', 'UTIAMC', 'CDSL', 'KAJARIACER', 'THYROCARE', 'TV18BRDCST', 'PNBHOUSING', 'ALOKINDS', 'BSOFT', 'BIRLACORPN', 'GRAPHITE', 'AARTIDRUGS', 'FRETAIL', 'RALLIS', 'ROUTE', 'AVANTIFEED', 'PVR', 'ALKYLAMINE', 'CEATLTD', 'GRANULES', 'IDFC', 'WOCKPHARMA']


# Nifty Smallcap 100 stocks list
def get_nifty_smallcap100_with_ns():
    return ['AMBER.NS', 'GMMPFAUDLR.NS', 'HAPPSTMNDS.NS', 'IEX.NS', 'JBCHEPHARM.NS', 'SPARC.NS', 'VAKRANGEE.NS', 'CYIENT.NS', 'IRB.NS', 'NATIONALUM.NS', 'SONATSOFTW.NS', 'STAR.NS', 'CHAMBLFERT.NS', 'COCHINSHIP.NS', 'KEC.NS', 'NBCC.NS', 'VIPIND.NS', 'MIDHANI.NS', 'RITES.NS', 'AEGISCHEM.NS', 'BALRAMCHIN.NS', 'BDL.NS', 'BLUESTARCO.NS', 'CAMS.NS', 'FINEORG.NS', 'GNFC.NS', 'HEG.NS', 'INDIACEM.NS', 'APLAPOLLO.NS', 'BEML.NS', 'FSL.NS', 'INDIANB.NS', 'JUSTDIAL.NS', 'QUESS.NS', 'RADICO.NS', 'RVNL.NS', 'SHILPAMED.NS', 'AFFLE.NS', 'BLUEDART.NS', 'LUXIND.NS', 'MCX.NS', 'STLTECH.NS', 'SUNTECK.NS', 'UJJIVANSFB.NS', 'BAJAJELEC.NS', 'CANFINHOME.NS', 'CARBORUNIV.NS', 'CENTURYTEX.NS', 'DBL.NS', 'IRCON.NS', 'KSCL.NS', 'UTIAMC.NS', 'BASF.NS', 'CDSL.NS', 'HINDCOPPER.NS', 'KAJARIACER.NS', 'THYROCARE.NS', 'TV18BRDCST.NS', 'WELSPUNIND.NS', 'PNBHOUSING.NS', 'TANLA.NS', 'ALOKINDS.NS', 'BSOFT.NS', 'SWSOLAR.NS', 'BIRLACORPN.NS', 'CAPLIPOINT.NS', 'CENTURYPLY.NS', 'DELTACORP.NS', 'EIDPARRY.NS', 'FDC.NS', 'GRAPHITE.NS', 'KALPATPOWR.NS', 'KARURVYSYA.NS', 'RAIN.NS', 'SPICEJET.NS', 'AARTIDRUGS.NS', 'FRETAIL.NS', 'LINDEINDIA.NS', 'SEQUENT.NS', 'EDELWEISS.NS', 'IOLCP.NS', 'MAZDOCK.NS', 'RALLIS.NS', 'ROUTE.NS', 'AVANTIFEED.NS', 'ENGINERSIN.NS', 'GODFRYPHLP.NS', 'KEI.NS', 'PVR.NS', 'ROSSARI.NS', 'WESTLIFE.NS', 'ALKYLAMINE.NS', 'CEATLTD.NS', 'CSBBANK.NS', 'GRANULES.NS', 'HEIDELBERG.NS', 'IDFC.NS', 'JKLAKSHMI.NS', 'TRIDENT.NS', 'WOCKPHARMA.NS']


# Nifty Smallcap 100 stocks list
def get_nifty_smallcap100():
    return ['AMBER', 'GMMPFAUDLR', 'HAPPSTMNDS', 'IEX', 'JBCHEPHARM', 'SPARC', 'VAKRANGEE', 'CYIENT', 'IRB', 'NATIONALUM', 'SONATSOFTW', 'STAR', 'CHAMBLFERT', 'COCHINSHIP', 'KEC', 'NBCC', 'VIPIND', 'MIDHANI', 'RITES', 'AEGISCHEM', 'BALRAMCHIN', 'BDL', 'BLUESTARCO', 'CAMS', 'FINEORG', 'GNFC', 'HEG', 'INDIACEM', 'APLAPOLLO', 'BEML', 'FSL', 'INDIANB', 'JUSTDIAL', 'QUESS', 'RADICO', 'RVNL', 'SHILPAMED', 'AFFLE', 'BLUEDART', 'LUXIND', 'MCX', 'STLTECH', 'SUNTECK', 'UJJIVANSFB', 'BAJAJELEC', 'CANFINHOME', 'CARBORUNIV', 'CENTURYTEX', 'DBL', 'IRCON', 'KSCL', 'UTIAMC', 'BASF', 'CDSL', 'HINDCOPPER', 'KAJARIACER', 'THYROCARE', 'TV18BRDCST', 'WELSPUNIND', 'PNBHOUSING', 'TANLA', 'ALOKINDS', 'BSOFT', 'SWSOLAR', 'BIRLACORPN', 'CAPLIPOINT', 'CENTURYPLY', 'DELTACORP', 'EIDPARRY', 'FDC', 'GRAPHITE', 'KALPATPOWR', 'KARURVYSYA', 'RAIN', 'SPICEJET', 'AARTIDRUGS', 'FRETAIL', 'LINDEINDIA', 'SEQUENT', 'EDELWEISS', 'IOLCP', 'MAZDOCK', 'RALLIS', 'ROUTE', 'AVANTIFEED', 'ENGINERSIN', 'GODFRYPHLP', 'KEI', 'PVR', 'ROSSARI', 'WESTLIFE', 'ALKYLAMINE', 'CEATLTD', 'CSBBANK', 'GRANULES', 'HEIDELBERG', 'IDFC', 'JKLAKSHMI', 'TRIDENT', 'WOCKPHARMA']


# Nifty Smallcap 250 stocks list
def get_nifty_smallcap250_with_ns():
    return ['AMBER.NS', 'CGCL.NS', 'GMMPFAUDLR.NS', 'HAPPSTMNDS.NS', 'HEMIPROP.NS', 'IEX.NS', 'IOB.NS', 'JBCHEPHARM.NS', 'JCHAC.NS', 'KRBL.NS', 'MAHINDCIE.NS', 'MINDACORP.NS', 'NOCIL.NS', 'PRINCEPIPE.NS', 'PRSMJOHNSN.NS', 'SPARC.NS', 'VAKRANGEE.NS', 'BHARATRAS.NS', 'CENTRALBK.NS', 'CYIENT.NS', 'GAEL.NS', 'HUHTAMAKI.NS', 'IRB.NS', 'KNRCON.NS', 'NATIONALUM.NS', 'SONATSOFTW.NS', 'STAR.NS', 'SYMPHONY.NS', 'ALEMBICLTD.NS', 'ASTERDM.NS', 'CCL.NS', 'CHAMBLFERT.NS', 'COCHINSHIP.NS', 'FINCABLES.NS', 'GESHIP.NS', 'GUJALKALI.NS', 'KEC.NS', 'KSB.NS', 'NBCC.NS', 'SUPRAJIT.NS', 'SUZLON.NS', 'TIMKEN.NS', 'VAIBHAVGBL.NS', 'VIPIND.NS', 'BALMLAWRIE.NS', 'FINPIPE.NS', 'FLUOROCHEM.NS', 'MHRIL.NS', 'MIDHANI.NS', 'NETWORK18.NS', 'RITES.NS', 'VARROC.NS', 'VSTIND.NS', 'VTL.NS', 'AEGISCHEM.NS', 'BALRAMCHIN.NS', 'BDL.NS', 'BLUESTARCO.NS', 'BSE.NS', 'CAMS.NS', 'FINEORG.NS', 'GNFC.NS', 'HEG.NS', 'INDIACEM.NS', 'SHARDACROP.NS', 'SHOPERSTOP.NS', 'SOLARA.NS', 'TCIEXP.NS', 'APLAPOLLO.NS', 'BEML.NS', 'CERA.NS', 'CHALET.NS', 'FSL.NS', 'IFBIND.NS', 'INDIANB.NS', 'JAMNAAUTO.NS', 'JUSTDIAL.NS', 'LAXMIMACH.NS', 'NILKAMAL.NS', 'QUESS.NS', 'RADICO.NS', 'REDINGTON.NS', 'RVNL.NS', 'SFL.NS', 'SHILPAMED.NS', 'SOBHA.NS', 'STARCEMENT.NS', 'ADVENZYMES.NS', 'AFFLE.NS', 'BLUEDART.NS', 'DCMSHRIRAM.NS', 'EPL.NS', 'GREAVESCOT.NS', 'GRINDWELL.NS', 'GSFC.NS', 'INGERRAND.NS', 'LUXIND.NS', 'MAHSEAMLES.NS', 'MCX.NS', 'RAYMOND.NS', 'SCHNEIDER.NS', 'STLTECH.NS', 'SUNTECK.NS', 'TATAINVEST.NS', 'TEAMLEASE.NS', 'TRITURBINE.NS', 'UJJIVANSFB.NS', 'WABCOINDIA.NS', 'BAJAJELEC.NS', 'CANFINHOME.NS', 'CARBORUNIV.NS', 'CENTURYTEX.NS', 'DBL.NS', 'DISHTV.NS', 'HFCL.NS', 'IBREALEST.NS', 'ICIL.NS', 'IRCON.NS', 'JSL.NS', 'KSCL.NS', 'POWERINDIA.NS', 'UTIAMC.NS', 'ZENSARTECH.NS', 'ANGELBRKG.NS', 'ASAHIINDIA.NS', 'BALAMINES.NS', 'BASF.NS', 'CDSL.NS', 'GALAXYSURF.NS', 'HINDCOPPER.NS', 'HSCL.NS', 'INFIBEAM.NS', 'JKTYRE.NS', 'JTEKTINDIA.NS', 'JYOTHYLAB.NS', 'KAJARIACER.NS', 'MAHABANK.NS', 'MOIL.NS', 'NH.NS', 'NLCINDIA.NS', 'SUDARSCHEM.NS', 'THYROCARE.NS', 'TV18BRDCST.NS', 'UFLEX.NS', 'UJJIVAN.NS', 'WELSPUNIND.NS', 'GPPL.NS', 'LEMONTREE.NS', 'MRPL.NS', 'PNBHOUSING.NS', 'RATNAMANI.NS', 'SHRIRAMCIT.NS', 'SUNCLAYLTD.NS', 'TANLA.NS', 'UCOBANK.NS', 'VMART.NS', 'WELCORP.NS', 'ALOKINDS.NS', 'ASHOKA.NS', 'BSOFT.NS', 'BURGERKING.NS', 'DCAL.NS', 'DCBBANK.NS', 'GRSE.NS', 'INDOCO.NS', 'MMTC.NS', 'NESCO.NS', 'NFL.NS', 'POLYPLEX.NS', 'RCF.NS', 'SIS.NS', 'SUPPETRO.NS', 'SWSOLAR.NS', 'TASTYBITE.NS', 'BIRLACORPN.NS', 'BRIGADE.NS', 'CAPLIPOINT.NS', 'CENTURYPLY.NS', 'DELTACORP.NS', 'EIDPARRY.NS', 'EIHOTEL.NS', 'FDC.NS', 'GRAPHITE.NS', 'HUDCO.NS', 'KALPATPOWR.NS', 'KARURVYSYA.NS', 'KPITTECH.NS', 'RAIN.NS', 'SPICEJET.NS', 'VALIANTORG.NS', 'AARTIDRUGS.NS', 'BLISSGVS.NS', 'ELGIEQUIP.NS', 'EQUITAS.NS', 'FCONSUMER.NS', 'FRETAIL.NS', 'IIFL.NS', 'JSLHISAR.NS', 'LINDEINDIA.NS', 'NCC.NS', 'ORIENTELEC.NS', 'ORIENTREF.NS', 'RESPONIND.NS', 'SEQUENT.NS', 'SPANDANA.NS', 'EDELWEISS.NS', 'ERIS.NS', 'IOLCP.NS', 'JINDALSAW.NS', 'KPRMILL.NS', 'MASFIN.NS', 'MAZDOCK.NS', 'PHILIPCARB.NS', 'PNCINFRA.NS', 'RALLIS.NS', 'ROUTE.NS', 'SWANENERGY.NS', 'AVANTIFEED.NS', 'BAJAJCON.NS', 'ENGINERSIN.NS', 'GEPIL.NS', 'GODFRYPHLP.NS', 'GULFOILLUB.NS', 'KEI.NS', 'MAHLOG.NS', 'MAHSCOOTER.NS', 'POLYMED.NS', 'PVR.NS', 'ROSSARI.NS', 'TATACOFFEE.NS', 'TCNSBRANDS.NS', 'WESTLIFE.NS', 'ALKYLAMINE.NS', 'CEATLTD.NS', 'CSBBANK.NS', 'DHANUKA.NS', 'ECLERX.NS', 'GARFIBRES.NS', 'GRANULES.NS', 'HEIDELBERG.NS', 'IDFC.NS', 'INOXLEISUR.NS', 'INTELLECT.NS', 'JKLAKSHMI.NS', 'JKPAPER.NS', 'LAOPALA.NS', 'SCI.NS', 'TRIDENT.NS', 'VENKEYS.NS', 'WOCKPHARMA.NS']


# Nifty Smallcap 250 stocks list
def get_nifty_smallcap250():
    return ['AMBER', 'CGCL', 'GMMPFAUDLR', 'HAPPSTMNDS', 'HEMIPROP', 'IEX', 'IOB', 'JBCHEPHARM', 'JCHAC', 'KRBL', 'MAHINDCIE', 'MINDACORP', 'NOCIL', 'PRINCEPIPE', 'PRSMJOHNSN', 'SPARC', 'VAKRANGEE', 'BHARATRAS', 'CENTRALBK', 'CYIENT', 'GAEL', 'HUHTAMAKI', 'IRB', 'KNRCON', 'NATIONALUM', 'SONATSOFTW', 'STAR', 'SYMPHONY', 'ALEMBICLTD', 'ASTERDM', 'CCL', 'CHAMBLFERT', 'COCHINSHIP', 'FINCABLES', 'GESHIP', 'GUJALKALI', 'KEC', 'KSB', 'NBCC', 'SUPRAJIT', 'SUZLON', 'TIMKEN', 'VAIBHAVGBL', 'VIPIND', 'BALMLAWRIE', 'FINPIPE', 'FLUOROCHEM', 'MHRIL', 'MIDHANI', 'NETWORK18', 'RITES', 'VARROC', 'VSTIND', 'VTL', 'AEGISCHEM', 'BALRAMCHIN', 'BDL', 'BLUESTARCO', 'BSE', 'CAMS', 'FINEORG', 'GNFC', 'HEG', 'INDIACEM', 'SHARDACROP', 'SHOPERSTOP', 'SOLARA', 'TCIEXP', 'APLAPOLLO', 'BEML', 'CERA', 'CHALET', 'FSL', 'IFBIND', 'INDIANB', 'JAMNAAUTO', 'JUSTDIAL', 'LAXMIMACH', 'NILKAMAL', 'QUESS', 'RADICO', 'REDINGTON', 'RVNL', 'SFL', 'SHILPAMED', 'SOBHA', 'STARCEMENT', 'ADVENZYMES', 'AFFLE', 'BLUEDART', 'DCMSHRIRAM', 'EPL', 'GREAVESCOT', 'GRINDWELL', 'GSFC', 'INGERRAND', 'LUXIND', 'MAHSEAMLES', 'MCX', 'RAYMOND', 'SCHNEIDER', 'STLTECH', 'SUNTECK', 'TATAINVEST', 'TEAMLEASE', 'TRITURBINE', 'UJJIVANSFB', 'WABCOINDIA', 'BAJAJELEC', 'CANFINHOME', 'CARBORUNIV', 'CENTURYTEX', 'DBL', 'DISHTV', 'HFCL', 'IBREALEST', 'ICIL', 'IRCON', 'JSL', 'KSCL', 'POWERINDIA', 'UTIAMC', 'ZENSARTECH', 'ANGELBRKG', 'ASAHIINDIA', 'BALAMINES', 'BASF', 'CDSL', 'GALAXYSURF', 'HINDCOPPER', 'HSCL', 'INFIBEAM', 'JKTYRE', 'JTEKTINDIA', 'JYOTHYLAB', 'KAJARIACER', 'MAHABANK', 'MOIL', 'NH', 'NLCINDIA', 'SUDARSCHEM', 'THYROCARE', 'TV18BRDCST', 'UFLEX', 'UJJIVAN', 'WELSPUNIND', 'GPPL', 'LEMONTREE', 'MRPL', 'PNBHOUSING', 'RATNAMANI', 'SHRIRAMCIT', 'SUNCLAYLTD', 'TANLA', 'UCOBANK', 'VMART', 'WELCORP', 'ALOKINDS', 'ASHOKA', 'BSOFT', 'BURGERKING', 'DCAL', 'DCBBANK', 'GRSE', 'INDOCO', 'MMTC', 'NESCO', 'NFL', 'POLYPLEX', 'RCF', 'SIS', 'SUPPETRO', 'SWSOLAR', 'TASTYBITE', 'BIRLACORPN', 'BRIGADE', 'CAPLIPOINT', 'CENTURYPLY', 'DELTACORP', 'EIDPARRY', 'EIHOTEL', 'FDC', 'GRAPHITE', 'HUDCO', 'KALPATPOWR', 'KARURVYSYA', 'KPITTECH', 'RAIN', 'SPICEJET', 'VALIANTORG', 'AARTIDRUGS', 'BLISSGVS', 'ELGIEQUIP', 'EQUITAS', 'FCONSUMER', 'FRETAIL', 'IIFL', 'JSLHISAR', 'LINDEINDIA', 'NCC', 'ORIENTELEC', 'ORIENTREF', 'RESPONIND', 'SEQUENT', 'SPANDANA', 'EDELWEISS', 'ERIS', 'IOLCP', 'JINDALSAW', 'KPRMILL', 'MASFIN', 'MAZDOCK', 'PHILIPCARB', 'PNCINFRA', 'RALLIS', 'ROUTE', 'SWANENERGY', 'AVANTIFEED', 'BAJAJCON', 'ENGINERSIN', 'GEPIL', 'GODFRYPHLP', 'GULFOILLUB', 'KEI', 'MAHLOG', 'MAHSCOOTER', 'POLYMED', 'PVR', 'ROSSARI', 'TATACOFFEE', 'TCNSBRANDS', 'WESTLIFE', 'ALKYLAMINE', 'CEATLTD', 'CSBBANK', 'DHANUKA', 'ECLERX', 'GARFIBRES', 'GRANULES', 'HEIDELBERG', 'IDFC', 'INOXLEISUR', 'INTELLECT', 'JKLAKSHMI', 'JKPAPER', 'LAOPALA', 'SCI', 'TRIDENT', 'VENKEYS', 'WOCKPHARMA']
